<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_001_Create_Migrations_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_migrations')) {
            DB::schema()->create('posify_migrations', function ($table) {
                $table->id();
                $table->string('migration');
                $table->string('since_version');
                $table->timestamps();
            });
        }
    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_migrations');
    }
}
