<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_007_Create_Store_Employees_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_store_has_employees')) {
            DB::schema()->create('posify_store_has_employees', function ($table) {
                $table->id();
                $table->unsignedBigInteger('store_id');
                $table->unsignedBigInteger('employee_id');
                $table->boolean('enabled')->default(false);
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_store_has_employees');
    }
}
