<?php

namespace Posify\Woocommerce\Repositories;

use Posify\Core\Repositories\OrderRepository as CoreEmployeeRepository;
use Posify\Woocommerce\Entities\Order;

class OrderRepository extends EloquentRepository implements CoreEmployeeRepository
{
    public function find($id, $withTrashed = false): ?Order
    {
        if ($withTrashed) {
            return Order::withTrashed()->find($id);
        }

        return Order::find($id);
    }
}
