<?php

namespace Posify\Woocommerce\ServiceProviders;

use Posify\Woocommerce\Installer\DatabaseMigrationManager;
use Posify\Woocommerce\Installer\DefaultData;
use Posify\Woocommerce\Utilities\HasInstance;

class InstallerServiceProvider extends BaseServiceProvider
{
    use HasInstance;

    public function register()
    {
        DatabaseMigrationManager::install();
        DefaultData::run();
    }
}
