import { d as defineComponent, P as defineAsyncComponent, _ as __vitePreload, H as useCustomerModalStore, s as storeToRefs, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, j as unref, b as createCommentVNode } from "./index.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CustomerModal",
  setup(__props) {
    const SelectCustomerType = defineAsyncComponent(
      () => __vitePreload(() => import("./SelectCustomerType.uaDs3xEUfw.js"), true ? ["./SelectCustomerType.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./_plugin-vue_export-helper.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const LoadCustomerProfile = defineAsyncComponent(
      () => __vitePreload(() => import("./LoadCustomerProfile.uaDs3xEUfw.js"), true ? ["./LoadCustomerProfile.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./debounce.uaDs3xEUfw.js","./CustomerSummary.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js","./_plugin-vue_export-helper.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const PreviewCustomerInfo = defineAsyncComponent(
      () => __vitePreload(() => import("./PreviewCustomerInfo.uaDs3xEUfw.js"), true ? ["./PreviewCustomerInfo.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./address.uaDs3xEUfw.js","./CustomerSummary.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js","./_plugin-vue_export-helper.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const CustomerAddressForm = defineAsyncComponent(
      () => __vitePreload(() => import("./CustomerAddressForm.uaDs3xEUfw.js"), true ? ["./CustomerAddressForm.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./AddressForm.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js","./_baseIsEqual.uaDs3xEUfw.js","./address.uaDs3xEUfw.js","./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js","./index.uaDs3xEUfw4.js","./_plugin-vue_export-helper.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const CustomerCreationForm = defineAsyncComponent(
      () => __vitePreload(() => import("./CustomerCreationForm.uaDs3xEUfw.js"), true ? ["./CustomerCreationForm.uaDs3xEUfw.js","./index.uaDs3xEUfw.js","./AddressForm.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js","./_baseIsEqual.uaDs3xEUfw.js","./address.uaDs3xEUfw.js","./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js","./index.uaDs3xEUfw4.js","./_plugin-vue_export-helper.uaDs3xEUfw.js"] : void 0, import.meta.url)
    );
    const customerModalStore = useCustomerModalStore();
    const { visible, section, customer, modalTitle } = storeToRefs(customerModalStore);
    const handleCancelModel = () => {
      customerModalStore.clear();
      customerModalStore.hide();
    };
    return (_ctx, _cache) => {
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(visible),
        "after-close": unref(customerModalStore).hide,
        title: unref(modalTitle),
        class: "customer-modal modal-no-footer",
        width: "640px",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => []),
        default: withCtx(() => [
          unref(section) == "select_customer_type" ? (openBlock(), createBlock(unref(SelectCustomerType), {
            key: 0,
            class: "tw-p-4"
          })) : createCommentVNode("", true),
          unref(section) == "load_customer_profile" ? (openBlock(), createBlock(unref(LoadCustomerProfile), {
            key: 1,
            class: "tw-p-4"
          })) : createCommentVNode("", true),
          unref(section) == "preview_customer_info" ? (openBlock(), createBlock(unref(PreviewCustomerInfo), {
            key: 2,
            class: "tw-p-4"
          })) : createCommentVNode("", true),
          unref(section) == "customer_address_form" ? (openBlock(), createBlock(unref(CustomerAddressForm), {
            key: 3,
            customer: unref(customer)
          }, null, 8, ["customer"])) : createCommentVNode("", true),
          unref(section) == "customer_creation_form" ? (openBlock(), createBlock(unref(CustomerCreationForm), {
            key: 4,
            customer: unref(customer)
          }, null, 8, ["customer"])) : createCommentVNode("", true)
        ]),
        _: 1
      }, 8, ["visible", "after-close", "title"]);
    };
  }
});
const CustomerModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
