import { p as createVNode, $ as AntdIcon, ak as defineStore, k as usePosStore, a0 as useRouter, a1 as useAuthStore, m as useCommonModalsStore, as as usePermissionStore, f as useLanguageStore, K as ref, s as storeToRefs, g as computed, at as faNewspaper, au as faClockRotateLeft, av as faChartPie, aw as faSackDollar, ax as faStore, ay as adminURL, az as faGear, aA as faShopSlash, aB as useCurrentSessionApi, V as message, T as Modal, d as defineComponent, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, i as createBaseVNode, j as unref, aC as faBars, c as createElementBlock, C as renderList, F as Fragment, n as normalizeClass, t as toDisplayString, aD as useCartTabsStore, h as currencyFormat, q as faPlus, U as ExclamationCircleOutlined, aE as faTimes, M as useAppStore, aF as faBell, aG as faBellSlash, b as createCommentVNode, aH as useFullscreen, aI as faCompress, aJ as faExpand, aK as withModifiers, aL as priceBeforeTax, aM as SearchOutlined, an as createSlots, J as createTextVNode, aN as LoadingOutlined, aO as resolveDynamicComponent, e as renderSlot } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { u as useReportApi, d as downloadCsvFile } from "./csv.uaDs3xEUfw.js";
import { a as humanFormat } from "./datetime.uaDs3xEUfw.js";
import { b as faCircleQuestion } from "./index.uaDs3xEUfw3.js";
import { u as useProductSearch } from "./productSearch.uaDs3xEUfw.js";
import { d as debounce } from "./debounce.uaDs3xEUfw.js";
import { _ as _sfc_main$a } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _sfc_main$b } from "./TheImage.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
var ScanOutlined$2 = { "icon": { "tag": "svg", "attrs": { "viewBox": "64 64 896 896", "focusable": "false" }, "children": [{ "tag": "path", "attrs": { "d": "M136 384h56c4.4 0 8-3.6 8-8V200h176c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H196c-37.6 0-68 30.4-68 68v180c0 4.4 3.6 8 8 8zm512-184h176v176c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V196c0-37.6-30.4-68-68-68H648c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zM376 824H200V648c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v180c0 37.6 30.4 68 68 68h180c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm512-184h-56c-4.4 0-8 3.6-8 8v176H648c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h180c37.6 0 68-30.4 68-68V648c0-4.4-3.6-8-8-8zm16-164H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z" } }] }, "name": "scan", "theme": "outlined" };
const ScanOutlinedSvg = ScanOutlined$2;
function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? Object(arguments[i]) : {};
    var ownKeys = Object.keys(source);
    if (typeof Object.getOwnPropertySymbols === "function") {
      ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
        return Object.getOwnPropertyDescriptor(source, sym).enumerable;
      }));
    }
    ownKeys.forEach(function(key) {
      _defineProperty(target, key, source[key]);
    });
  }
  return target;
}
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var ScanOutlined = function ScanOutlined2(props, context) {
  var p = _objectSpread({}, props, context.attrs);
  return createVNode(AntdIcon, _objectSpread({}, p, {
    "icon": ScanOutlinedSvg
  }), null);
};
ScanOutlined.displayName = "ScanOutlined";
ScanOutlined.inheritAttrs = false;
const ScanOutlined$1 = ScanOutlined;
const isMobileScreen = () => {
  return window.innerWidth < 765;
};
const useMenuStore = defineStore(
  "useMenuStore",
  () => {
    const posStore = usePosStore();
    const router = useRouter();
    const authStore = useAuthStore();
    const commonModalsStore = useCommonModalsStore();
    const permissionStore = usePermissionStore();
    const languageStore = useLanguageStore();
    const menuSideBarVisible = ref(false);
    const { __ } = languageStore;
    const { canManageStore } = storeToRefs(permissionStore);
    const activeMenu = ref("");
    const closeMenuSidebar = () => {
      menuSideBarVisible.value = false;
    };
    const setActiveMenu = (id) => {
      activeMenu.value = id;
    };
    const closeRegisterOrShowModal = async () => {
      var _a;
      if (posStore.register.closingReportEnabled) {
        commonModalsStore.showCloseRegisterModal();
        return;
      }
      const currentSessionApi = await useCurrentSessionApi();
      const hide = message.loading(__("Closing register..."));
      try {
        await currentSessionApi.close(posStore.register.id, {
          note: ""
        });
      } catch (error) {
        console.error(error);
        hide();
        Modal.error({
          title: __("Load report data unsuccessfully"),
          content: JSON.stringify((_a = error == null ? void 0 : error.posifyError) == null ? void 0 : _a.details)
        });
        return;
      }
      hide();
      const { hasError: logoutError, errorDetails: logoutErrorDetails } = await authStore.logout();
      if (logoutError) {
        Modal.error({
          title: __("Logout unsuccessfully. Please reload page."),
          content: logoutErrorDetails
        });
      }
    };
    const menu = computed(() => {
      const menuItems = [
        {
          id: "register",
          icon: faNewspaper,
          title: __("Register screen"),
          class: null,
          onClick: () => {
            setActiveMenu("register");
            closeMenuSidebar();
            router.push({ name: "home" });
          }
        },
        {
          id: "order-history",
          icon: faClockRotateLeft,
          title: __("Order history"),
          class: null,
          onClick: () => {
            setActiveMenu("order-history");
            closeMenuSidebar();
            router.push({ name: "order-history" });
          }
        },
        {
          id: "today-profit",
          icon: faChartPie,
          title: __("Today's profit"),
          class: null,
          onClick: () => {
            setActiveMenu("today-profit");
            closeMenuSidebar();
            commonModalsStore.showRegisterTodayProfitModal();
          }
        },
        {
          id: "cash-in-hand",
          icon: faSackDollar,
          title: __("Manage cash"),
          class: null,
          onClick: () => {
            setActiveMenu("cash-in-hand");
            closeMenuSidebar();
            commonModalsStore.showAddCashInHandModal();
          }
        }
      ];
      if (canManageStore.value) {
        menuItems.push({
          id: "manage-store",
          icon: faStore,
          title: __("Manage store"),
          class: null,
          onClick: () => {
            closeMenuSidebar();
            window.open(adminURL, "_blank");
          }
        });
      }
      if (isMobileScreen()) {
        menuItems.push({
          id: "settings",
          icon: faGear,
          title: __("Settings"),
          class: null,
          onClick: () => {
            setActiveMenu("settings");
            closeMenuSidebar();
            commonModalsStore.showSettingModal();
          }
        });
      }
      menuItems.push({
        id: "close-register",
        icon: faShopSlash,
        title: __("Close register"),
        class: "pos-menu__menu-item--close-register",
        onClick: () => {
          setActiveMenu("close-register");
          closeMenuSidebar();
          closeRegisterOrShowModal();
        }
      });
      return menuItems;
    });
    return {
      menuSideBarVisible,
      menu,
      activeMenu,
      setActiveMenu
    };
  },
  {
    path: [
      //
    ]
  }
);
const _hoisted_1$7 = { class: "pos-menu__menu-item-icon" };
const _hoisted_2$3 = { class: "pos-menu__menu-item-label" };
const _sfc_main$9 = /* @__PURE__ */ defineComponent({
  __name: "TheMenu",
  setup(__props) {
    const menuStore = useMenuStore();
    const { menu: menuItems, menuSideBarVisible } = storeToRefs(menuStore);
    const handleClickToggleMenuButton = () => {
      if (isMobileScreen()) {
        menuSideBarVisible.value = !menuSideBarVisible.value;
      }
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_menu_item = resolveComponent("a-menu-item");
      const _component_a_sub_menu = resolveComponent("a-sub-menu");
      const _component_a_menu = resolveComponent("a-menu");
      return openBlock(), createBlock(_component_a_menu, {
        mode: "horizontal",
        class: "pos-menu--horizontal",
        triggerSubMenuAction: "hover"
      }, {
        default: withCtx(() => [
          createVNode(_component_a_sub_menu, {
            key: "sub1",
            class: "pos-menu__sub-menu",
            "popup-class-name": "pos-menu__dropdown max-sm:tw-hidden"
          }, {
            title: withCtx(() => [
              createBaseVNode("div", {
                class: "pos-menu__toggle-button",
                onClick: handleClickToggleMenuButton
              }, [
                createVNode(_component_font_awesome_icon, {
                  icon: unref(faBars),
                  class: "tw-text-2xl"
                }, null, 8, ["icon"])
              ])
            ]),
            default: withCtx(() => [
              (openBlock(true), createElementBlock(Fragment, null, renderList(unref(menuItems), (item, index) => {
                return openBlock(), createBlock(_component_a_menu_item, {
                  key: index,
                  class: normalizeClass(["pos-menu__menu-item", item == null ? void 0 : item.class]),
                  onClick: item.onClick
                }, {
                  default: withCtx(() => [
                    createBaseVNode("div", _hoisted_1$7, [
                      createVNode(_component_font_awesome_icon, {
                        icon: item.icon
                      }, null, 8, ["icon"])
                    ]),
                    createBaseVNode("div", _hoisted_2$3, toDisplayString(item.title), 1)
                  ]),
                  _: 2
                }, 1032, ["class", "onClick"]);
              }), 128))
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
const _hoisted_1$6 = { class: "pos-menu__menu-item-icon" };
const _hoisted_2$2 = { class: "pos-menu__menu-item-label" };
const _sfc_main$8 = /* @__PURE__ */ defineComponent({
  __name: "TheSidebarMenu",
  setup(__props) {
    const languageStore = useLanguageStore();
    const menuStore = useMenuStore();
    const { __ } = languageStore;
    const {
      menu: menuItems,
      menuSideBarVisible,
      activeMenu
    } = storeToRefs(menuStore);
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_menu_item = resolveComponent("a-menu-item");
      const _component_a_menu = resolveComponent("a-menu");
      const _component_a_drawer = resolveComponent("a-drawer");
      return openBlock(), createBlock(_component_a_drawer, {
        placement: "left",
        width: 255,
        title: unref(__)("Menu"),
        visible: unref(menuSideBarVisible),
        class: "pos-menu__drawer tw-hidden max-sm:tw-block",
        onClose: _cache[0] || (_cache[0] = () => menuSideBarVisible.value = false)
      }, {
        default: withCtx(() => [
          createVNode(_component_a_menu, {
            mode: "vertical",
            triggerSubMenuAction: "hover",
            class: "pos-menu--sidebar"
          }, {
            default: withCtx(() => [
              (openBlock(true), createElementBlock(Fragment, null, renderList(unref(menuItems), (item, index) => {
                return openBlock(), createBlock(_component_a_menu_item, {
                  key: index,
                  class: normalizeClass(["pos-menu__menu-item", {
                    "ant-menu-item-active": unref(activeMenu) === item.id
                  }]),
                  onClick: item.onClick
                }, {
                  default: withCtx(() => [
                    createBaseVNode("div", _hoisted_1$6, [
                      createVNode(_component_font_awesome_icon, {
                        icon: item.icon
                      }, null, 8, ["icon"])
                    ]),
                    createBaseVNode("div", _hoisted_2$2, toDisplayString(item.title), 1)
                  ]),
                  _: 2
                }, 1032, ["class", "onClick"]);
              }), 128))
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 8, ["title", "visible"]);
    };
  }
});
const cartTabs = "";
const _hoisted_1$5 = { class: "cart-tabs" };
const _sfc_main$7 = /* @__PURE__ */ defineComponent({
  __name: "CartTabs",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const cartTabsStore = useCartTabsStore();
    const tabs = computed(
      () => cartTabsStore.items.map((cartData) => {
        const customerName = __(cartData.customer.shortName);
        const totalQuantity = cartData.totalQuantity;
        const total = currencyFormat(cartData.total);
        const tabName = `${customerName} (${totalQuantity}) | ${total}`;
        return {
          id: cartData.id,
          name: tabName
        };
      })
    );
    const onEdit = (tabId, action) => {
      if (action === "add") {
        return cartTabsStore.push();
      }
      const tabInfo = cartTabsStore.find(tabId);
      if (tabInfo.totalQuantity > 0) {
        Modal.confirm({
          title: __("Please confirm"),
          content: __("Do you want to remove the cart number #%s", [tabId]),
          icon: createVNode(ExclamationCircleOutlined),
          okText: __("Yes"),
          okType: "primary",
          cancelText: __("No, keep this cart"),
          onOk: async () => {
            cartTabsStore.remove(tabId);
          }
        });
        return;
      }
      cartTabsStore.remove(tabId);
    };
    const handleTabClick = (tabId) => {
      cartTabsStore.setActive(tabId);
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_tab_pane = resolveComponent("a-tab-pane");
      const _component_a_tabs = resolveComponent("a-tabs");
      return openBlock(), createElementBlock("div", _hoisted_1$5, [
        createVNode(_component_a_tabs, {
          activeKey: unref(cartTabsStore).activeTabId,
          type: "editable-card",
          class: "cart-tabs__tabs",
          onEdit,
          onTabClick: handleTabClick
        }, {
          addIcon: withCtx(() => [
            createVNode(_component_font_awesome_icon, { icon: unref(faPlus) }, null, 8, ["icon"])
          ]),
          default: withCtx(() => [
            (openBlock(true), createElementBlock(Fragment, null, renderList(tabs.value, (tab) => {
              return openBlock(), createBlock(_component_a_tab_pane, {
                key: tab.id,
                tab: tab.name,
                closable: true
              }, {
                closeIcon: withCtx(() => [
                  createVNode(_component_font_awesome_icon, { icon: unref(faTimes) }, null, 8, ["icon"])
                ]),
                _: 2
              }, 1032, ["tab"]);
            }), 128))
          ]),
          _: 1
        }, 8, ["activeKey"])
      ]);
    };
  }
});
const _sfc_main$6 = /* @__PURE__ */ defineComponent({
  __name: "TheBell",
  setup(__props) {
    const appStore = useAppStore();
    const posStore = usePosStore();
    const { register } = storeToRefs(posStore);
    const { soundEnabled } = storeToRefs(appStore);
    const handleClickAudioButton = () => {
      soundEnabled.value = !soundEnabled.value;
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return unref(register).audioEnabled ? (openBlock(), createElementBlock("div", {
        key: 0,
        class: "audio-player",
        onClick: handleClickAudioButton
      }, [
        createVNode(_component_font_awesome_icon, {
          icon: unref(soundEnabled) ? unref(faBell) : unref(faBellSlash)
        }, null, 8, ["icon"])
      ])) : createCommentVNode("", true);
    };
  }
});
const TheBell_vue_vue_type_style_index_0_scoped_7104d9aa_lang = "";
const TheBell = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["__scopeId", "data-v-7104d9aa"]]);
const _hoisted_1$4 = ["onClick"];
const _sfc_main$5 = /* @__PURE__ */ defineComponent({
  __name: "FullScreenButton",
  setup(__props) {
    const { toggle, isFullscreen } = useFullscreen();
    const handleClickFullScreenButton = () => {
      return toggle();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", {
        class: "full-screen",
        onClick: withModifiers(handleClickFullScreenButton, ["prevent"])
      }, [
        createVNode(_component_font_awesome_icon, {
          icon: unref(isFullscreen) ? unref(faCompress) : unref(faExpand)
        }, null, 8, ["icon"])
      ], 8, _hoisted_1$4);
    };
  }
});
const FullScreenButton_vue_vue_type_style_index_0_scoped_f7b73998_lang = "";
const FullScreenButton = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["__scopeId", "data-v-f7b73998"]]);
const _hoisted_1$3 = { class: "tw-hidden xl:tw-block tw-ml-3 tw-text-contrast-lowest xl:tw-truncate xl:tw-max-w-[160px]" };
const _hoisted_2$1 = { class: "auth-menu-item__label" };
const _hoisted_3$1 = { class: "auth-menu-item__value" };
const _hoisted_4$1 = { class: "auth-menu-item__label" };
const _hoisted_5$1 = { class: "auth-menu-item__value" };
const _hoisted_6$1 = { class: "auth-menu-item__label tw-uppercase" };
const _hoisted_7 = { class: "auth-menu-item__label tw-uppercase" };
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  __name: "AuthDropdown",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const authStore = useAuthStore();
    const { user } = storeToRefs(authStore);
    const cartTabsStore = useCartTabsStore();
    const isLoadingReport = ref(true);
    const reportData = ref({
      openTime: {
        label: __("Open time"),
        type: "datetime",
        value: "",
        formattedValue: ""
      },
      cashiers: {
        label: __("Cashiers"),
        type: "array",
        value: "",
        formattedValue: ""
      },
      ordersCount: {
        label: __("Orders"),
        type: "number",
        value: "",
        formattedValue: ""
      },
      numItemsSold: {
        label: __("Products"),
        type: "number",
        value: "",
        formattedValue: ""
      },
      cashInHand: {
        label: __("Cash in hand"),
        type: "price",
        value: "",
        formattedValue: ""
      },
      netTotal: {
        label: __("Net total"),
        type: "price",
        value: "",
        formattedValue: ""
      },
      totalSales: {
        label: __("Total sales"),
        type: "price",
        value: "",
        formattedValue: ""
      }
    });
    const statsMenu = computed(() => {
      const picked = ["ordersCount", "numItemsSold", "totalSales"];
      const stats = [];
      for (const key of picked) {
        stats.push({
          label: reportData.value[key].label,
          value: reportData.value[key].formattedValue
        });
      }
      return stats;
    });
    const posStore = usePosStore();
    const handleOpenChangeMenu = async (openedMenus) => {
      if (!openedMenus.includes("auth-menu")) {
        return false;
      }
      isLoadingReport.value = true;
      const reportApi = await useReportApi();
      try {
        const { data } = await reportApi.currentSession(posStore.register.id, {
          employeeId: user.value.id,
          context: "quick_report"
        });
        for (const reportName in reportData.value) {
          const report = reportData.value[reportName];
          let value = data[reportName];
          report.value = value;
          if (report.type === "price") {
            value = currencyFormat(value);
          }
          if (report.type === "datetime") {
            value = humanFormat(value);
          }
          if (report.type === "array") {
            value = value.map((item) => item.name).join(", ");
          }
          report.formattedValue = value;
          reportData.value[reportName] = report;
        }
      } catch (error) {
        console.error(error);
      }
      isLoadingReport.value = false;
    };
    const handleClickDownloadCsv = async () => {
      const csvRows = [];
      for (const reportName in reportData.value) {
        const report = reportData.value[reportName];
        let value = report.value;
        if (report.type === "array") {
          value = report.formattedValue;
        }
        csvRows.push({
          entry: report.label,
          value
        });
      }
      downloadCsvFile(csvRows, {
        filename: `session_${posStore.registerSession.id}_cashier_${authStore.user.id}_report`,
        headers: [__("Entry"), __("Value")]
      });
    };
    const hasValuedCart = computed(() => {
      let totalQuantity = 0;
      for (const cart of cartTabsStore.items) {
        totalQuantity += cart.totalQuantity;
      }
      return totalQuantity > 0;
    });
    const logout = async () => {
      const hide = message.loading(__("Logging out..."));
      const { hasError, errorDetails } = await authStore.logout();
      hide();
      if (hasError) {
        Modal.error({
          title: __("Logout unsuccessfully. Please reload page."),
          content: errorDetails
        });
      }
    };
    const handleClickLogoutButton = async () => {
      if (hasValuedCart.value == false) {
        await logout();
        return;
      }
      Modal.confirm({
        title: __("Are you sure you want to log out?"),
        content: __("The cart will be cleared and can not be restored."),
        icon: createVNode(ExclamationCircleOutlined),
        okText: __("Yes"),
        okType: "primary",
        cancelText: __("Cancel"),
        onOk: async () => {
          await logout();
        }
      });
    };
    return (_ctx, _cache) => {
      const _component_a_avatar = resolveComponent("a-avatar");
      const _component_a_menu_item = resolveComponent("a-menu-item");
      const _component_a_sub_menu = resolveComponent("a-sub-menu");
      const _component_a_menu = resolveComponent("a-menu");
      return openBlock(), createBlock(_component_a_menu, {
        mode: "horizontal",
        class: "auth-menu",
        onOpenChange: handleOpenChangeMenu
      }, {
        default: withCtx(() => [
          createVNode(_component_a_sub_menu, {
            key: "auth-menu",
            class: "auth-sub-menu",
            "popup-class-name": "auth-menu-dropdown"
          }, {
            title: withCtx(() => [
              createVNode(_component_a_avatar, {
                class: "avatar tw-block",
                shape: "square",
                size: 48,
                src: unref(user).avatarUrl
              }, null, 8, ["src"]),
              createBaseVNode("div", _hoisted_1$3, toDisplayString(unref(user).fullName), 1)
            ]),
            default: withCtx(() => [
              createVNode(_component_a_menu_item, { class: "auth-menu-item" }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_2$1, toDisplayString(unref(__)("Login time")), 1),
                  createBaseVNode("div", _hoisted_3$1, toDisplayString(unref(humanFormat)(unref(user).lastLoginTime)), 1)
                ]),
                _: 1
              }),
              (openBlock(true), createElementBlock(Fragment, null, renderList(statsMenu.value, (item) => {
                return openBlock(), createBlock(_component_a_menu_item, {
                  key: item.label,
                  class: "auth-menu-item"
                }, {
                  default: withCtx(() => [
                    createBaseVNode("div", _hoisted_4$1, toDisplayString(item.label), 1),
                    createBaseVNode("div", _hoisted_5$1, toDisplayString(isLoadingReport.value ? "-" : item.value), 1)
                  ]),
                  _: 2
                }, 1024);
              }), 128)),
              createVNode(_component_a_menu_item, {
                class: "auth-menu-item tw-bg-primary-dark",
                disabled: isLoadingReport.value,
                onClick: handleClickDownloadCsv
              }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_6$1, toDisplayString(unref(__)("Download CSV")), 1)
                ]),
                _: 1
              }, 8, ["disabled"]),
              createVNode(_component_a_menu_item, {
                class: "auth-menu-item tw-bg-negative",
                onClick: handleClickLogoutButton
              }, {
                default: withCtx(() => [
                  createBaseVNode("div", _hoisted_7, toDisplayString(unref(__)("Logout")), 1)
                ]),
                _: 1
              })
            ]),
            _: 1
          })
        ]),
        _: 1
      });
    };
  }
});
const AuthDropdown_vue_vue_type_style_index_0_lang = "";
const _hoisted_1$2 = ["onClick"];
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "TheHelp",
  setup(__props) {
    const commonModalsStore = useCommonModalsStore();
    const handleClick = () => {
      commonModalsStore.showHelpModal();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", {
        class: "guide",
        onClick: withModifiers(handleClick, ["prevent"])
      }, [
        createVNode(_component_font_awesome_icon, { icon: unref(faCircleQuestion) }, null, 8, ["icon"])
      ], 8, _hoisted_1$2);
    };
  }
});
const TheHelp_vue_vue_type_style_index_0_scoped_52a29165_lang = "";
const TheHelp = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["__scopeId", "data-v-52a29165"]]);
const _hoisted_1$1 = ["onClick"];
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "TheSetting",
  setup(__props) {
    const commonModalsStore = useCommonModalsStore();
    const handleClick = () => {
      commonModalsStore.showSettingModal();
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", {
        class: "guide",
        onClick: withModifiers(handleClick, ["prevent"])
      }, [
        createVNode(_component_font_awesome_icon, { icon: unref(faGear) }, null, 8, ["icon"])
      ], 8, _hoisted_1$1);
    };
  }
});
const TheSetting_vue_vue_type_style_index_0_scoped_5a48604b_lang = "";
const TheSetting = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["__scopeId", "data-v-5a48604b"]]);
const _hoisted_1 = { class: "tw-px-3" };
const _hoisted_2 = { class: "product-result-item" };
const _hoisted_3 = { class: "product-title" };
const _hoisted_4 = { class: "tw-ml-5" };
const _hoisted_5 = { class: "product-price tw-ml-auto" };
const _hoisted_6 = { class: "product-thumbnail tw-ml-5" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "ProductSearchInput",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const productSearchStore = useProductSearch();
    const selectedProductId = ref();
    const selectSearchKeyword = ref("");
    const {
      products: rawData,
      mode: currentMode,
      fetching
    } = storeToRefs(productSearchStore);
    const products = computed(() => {
      return rawData.value.map((productRawData) => {
        return {
          value: productRawData.id,
          label: productRawData.title,
          title: productRawData.title,
          price: priceBeforeTax(productRawData, "price"),
          thumbnail: productRawData.thumbnail
        };
      });
    });
    const inputScan = ref();
    const commonModalsStore = useCommonModalsStore();
    const inScanMode = computed(() => currentMode.value === "scan");
    const dropdownClass = computed(() => {
      const classes = ["product-search-input__dropdown !tw-left-3"];
      if (inScanMode.value) {
        classes.push("tw-hidden");
      }
      return classes.join(" ");
    });
    const posStore = usePosStore();
    const modes = computed(() => {
      const modes2 = [
        {
          id: "search-product",
          key: "search",
          icon: SearchOutlined,
          enabled: true
        },
        {
          id: "scan-product-handler",
          key: "scan",
          icon: ScanOutlined$1,
          enabled: posStore.register.scanEnabled
        }
      ];
      return modes2.filter((mode) => mode.enabled);
    });
    const placeholder = computed(() => {
      if (inScanMode.value) {
        return __("Scan product SKU");
      }
      return __("Search product");
    });
    const handleSearch = debounce(async (keyword) => {
      selectSearchKeyword.value = keyword;
      if (!keyword) {
        return;
      }
      const action = {
        scan: productSearchStore.scanProduct,
        search: productSearchStore.fetchProducts
      }[currentMode.value];
      action(keyword).finally(() => {
        if (inScanMode.value) {
          clearInputSearch();
        }
      });
    }, 300);
    const clearInputSearch = () => {
      selectedProductId.value = void 0;
      selectSearchKeyword.value = void 0;
      setTimeout(() => {
        var _a;
        return (_a = inputScan == null ? void 0 : inputScan.value) == null ? void 0 : _a.blur();
      }, 100);
      setTimeout(() => {
        var _a;
        return (_a = inputScan == null ? void 0 : inputScan.value) == null ? void 0 : _a.focus();
      }, 500);
    };
    const handleSelectProduct = (productId) => {
      productSearchStore.addProduct(productId);
      clearInputSearch();
    };
    const handleChangeMode = (mode) => {
      if (isMobileScreen() && mode.key == "scan") {
        commonModalsStore.showScanProductModal();
        return;
      }
      currentMode.value = mode.key;
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_spin = resolveComponent("a-spin");
      const _component_a_select = resolveComponent("a-select");
      const _component_a_input_group = resolveComponent("a-input-group");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_component_a_input_group, {
          compact: "",
          class: "product-search-input-container"
        }, {
          default: withCtx(() => [
            (openBlock(true), createElementBlock(Fragment, null, renderList(modes.value, (mode) => {
              return openBlock(), createBlock(_component_a_button, {
                size: "small",
                id: mode.id,
                key: mode.key,
                class: normalizeClass(["search-mode-button", { active: mode.key === unref(currentMode) }]),
                onClick: ($event) => handleChangeMode(mode)
              }, {
                icon: withCtx(() => [
                  unref(fetching) && unref(currentMode) == mode.key ? (openBlock(), createBlock(unref(LoadingOutlined), { key: 0 })) : (openBlock(), createBlock(resolveDynamicComponent(mode.icon), { key: 1 }))
                ]),
                _: 2
              }, 1032, ["id", "class", "onClick"]);
            }), 128)),
            createVNode(_component_a_select, {
              ref_key: "inputScan",
              ref: inputScan,
              value: selectedProductId.value,
              "onUpdate:value": _cache[0] || (_cache[0] = ($event) => selectedProductId.value = $event),
              size: "small",
              "show-search": "",
              placeholder: unref(__)(placeholder.value),
              class: "product-search-input",
              "dropdown-class-name": dropdownClass.value,
              options: products.value,
              "filter-option": false,
              "not-found-content": selectSearchKeyword.value ? void 0 : null,
              loading: unref(fetching),
              dropdownMatchSelectWidth: false,
              "allow-clear": true,
              onSearch: unref(handleSearch),
              onSelect: handleSelectProduct
            }, createSlots({
              suffixIcon: withCtx(() => []),
              option: withCtx((product) => [
                createBaseVNode("div", _hoisted_2, [
                  createBaseVNode("div", _hoisted_3, toDisplayString(product.title), 1),
                  createBaseVNode("div", _hoisted_4, [
                    createVNode(_component_a_button, {
                      class: "add-to-card-button",
                      primary: "",
                      size: "small"
                    }, {
                      default: withCtx(() => [
                        createTextVNode(toDisplayString(unref(__)("Add to cart")), 1)
                      ]),
                      _: 1
                    })
                  ]),
                  createBaseVNode("div", _hoisted_5, [
                    createVNode(_sfc_main$a, {
                      value: product.price
                    }, null, 8, ["value"])
                  ]),
                  createBaseVNode("div", _hoisted_6, [
                    createVNode(_sfc_main$b, {
                      src: product.thumbnail,
                      preview: false,
                      width: "50px",
                      height: "50px"
                    }, null, 8, ["src"])
                  ])
                ])
              ]),
              _: 2
            }, [
              unref(fetching) ? {
                name: "notFoundContent",
                fn: withCtx(() => [
                  createVNode(_component_a_spin, { size: "small" })
                ]),
                key: "0"
              } : void 0
            ]), 1032, ["value", "placeholder", "dropdown-class-name", "options", "not-found-content", "loading", "onSearch"])
          ]),
          _: 1
        })
      ]);
    };
  }
});
const ProductSearchInput_vue_vue_type_style_index_0_scoped_1c34d311_lang = "";
const ProductSearchInput_vue_vue_type_style_index_1_lang = "";
const ProductSearchInput = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-1c34d311"]]);
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "DefaultLayout",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_a_layout_header = resolveComponent("a-layout-header");
      const _component_a_layout_content = resolveComponent("a-layout-content");
      const _component_a_layout = resolveComponent("a-layout");
      return openBlock(), createBlock(_component_a_layout, null, {
        default: withCtx(() => [
          createVNode(_component_a_layout_header, { class: "tw-px-0 pos-header" }, {
            default: withCtx(() => [
              createVNode(_sfc_main$9),
              createVNode(_sfc_main$8),
              createVNode(ProductSearchInput),
              createVNode(_sfc_main$7, { class: "cart-tabs-width max-sm:tw-hidden" }),
              createVNode(TheBell, { class: "max-sm:tw-hidden" }),
              createVNode(FullScreenButton, { class: "tw-flex max-sm:tw-hidden" }),
              createVNode(TheSetting, { class: "max-sm:tw-hidden" }),
              createVNode(TheHelp, { class: "max-sm:tw-hidden" }),
              createVNode(_sfc_main$4)
            ]),
            _: 1
          }),
          createVNode(_component_a_layout_content, null, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
          })
        ]),
        _: 3
      });
    };
  }
});
const DefaultLayout_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as _,
  isMobileScreen as i,
  useMenuStore as u
};
