import { d as defineComponent, f as useLanguageStore, a5 as useGeneralSettingStore, g as computed, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, e as renderSlot, j as unref } from "./index.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "LanguageSelect",
  props: {
    value: {
      type: [Number, String]
    }
  },
  emits: ["update:value", "change"],
  setup(__props, { emit }) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const generalSettingStore = useGeneralSettingStore();
    const language = computed(
      () => generalSettingStore.dataLanguages.map((language2) => ({
        value: language2,
        label: language2
      }))
    );
    const handleChange = (language2) => {
      emit("update:value", language2);
      emit("change", language2);
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, {
        value: __props.value,
        placeholder: unref(__)("Select language"),
        class: "tw-w-full",
        ref: "select",
        options: language.value,
        onChange: handleChange
      }, {
        suffixIcon: withCtx(() => [
          renderSlot(_ctx.$slots, "suffixIcon")
        ]),
        _: 3
      }, 8, ["value", "placeholder", "options"]);
    };
  }
});
export {
  _sfc_main as _
};
