import { d as defineComponent, g as computed, h as currencyFormat, o as openBlock, c as createElementBlock, t as toDisplayString, b as createCommentVNode, i as createBaseVNode } from "./index.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-flex tw-align-center tw-whitespace-nowrap" };
const _hoisted_2 = {
  key: 0,
  class: "tw-line-through tw-mr-1"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "MoneyFormat",
  props: {
    value: {
      type: [String, Number],
      default: 0,
      required: true
    },
    originCost: {
      type: [String, Number],
      default: null
    }
  },
  setup(__props) {
    const props = __props;
    const formattedValue = computed(() => {
      return currencyFormat(props.value);
    });
    const formattedOriginCost = computed(() => {
      return currencyFormat(props.originCost);
    });
    const showOriginalCost = computed(() => {
      if (!props.originCost) {
        return false;
      }
      return props.originCost != props.value;
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        showOriginalCost.value ? (openBlock(), createElementBlock("div", _hoisted_2, toDisplayString(formattedOriginCost.value), 1)) : createCommentVNode("", true),
        createBaseVNode("div", null, toDisplayString(formattedValue.value), 1)
      ]);
    };
  }
});
export {
  _sfc_main as _
};
