import { d as defineComponent, ao as useOrderDetailModalStore, g as computed, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, j as unref } from "./index.uaDs3xEUfw.js";
import { a as OrderDetailCard } from "./OrderDetailCard.uaDs3xEUfw.js";
import "./datetime.uaDs3xEUfw.js";
import "./address.uaDs3xEUfw.js";
import "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import "./TheImage.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./product-placeholder.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "OrderDetailModal",
  setup(__props) {
    const orderDetailModal = useOrderDetailModalStore();
    const modalTitle = computed(() => `Order #${orderDetailModal.order.id}`);
    const handleCancelModel = () => {
      orderDetailModal.hide();
    };
    return (_ctx, _cache) => {
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(orderDetailModal).visible,
        "onUpdate:visible": _cache[0] || (_cache[0] = ($event) => unref(orderDetailModal).visible = $event),
        title: modalTitle.value,
        centered: "",
        width: "642px",
        class: "order-detail-modal modal-no-footer",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => []),
        default: withCtx(() => [
          createVNode(OrderDetailCard, {
            order: unref(orderDetailModal).order
          }, null, 8, ["order"])
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const OrderDetailModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
