import { i as isMobileScreen, u as useMenuStore, _ as _sfc_main$c } from "./DefaultLayout.vue_vue_type_style_index_0_lang.uaDs3xEUfw.js";
import { a7 as keys_1, a8 as isArrayLike_1, a9 as _Stack, aa as isObject_1, ab as isArray_1, ac as _MapCache, ad as _Symbol, ae as isArguments_1, af as _isIndex, ag as isLength_1, ah as identity_1, ai as getDefaultExportFromCjs, aj as _baseAssignValue, ak as defineStore, k as usePosStore, K as ref, g as computed, al as useOrderApi, d as defineComponent, f as useLanguageStore, a0 as useRouter, r as resolveComponent, o as openBlock, c as createElementBlock, p as createVNode, O as withCtx, j as unref, am as faAngleLeft, i as createBaseVNode, t as toDisplayString, a as createBlock, an as createSlots, J as createTextVNode, e as renderSlot, Z as faAngleRight, n as normalizeClass, s as storeToRefs, ao as useOrderDetailModalStore, L as onMounted, C as renderList, F as Fragment, b as createCommentVNode, a3 as isRef, ap as Collapse, aq as fullName, ar as UNLIMITED_NUMBER } from "./index.uaDs3xEUfw.js";
import { f as format, h as humanFormatOnlyTime } from "./datetime.uaDs3xEUfw.js";
import { _ as _baseIsEqual } from "./_baseIsEqual.uaDs3xEUfw.js";
import { i as isSymbol_1 } from "./debounce.uaDs3xEUfw.js";
import { o as orderStatusLabel, O as OrderDetailCardLayout, a as OrderDetailCard } from "./OrderDetailCard.uaDs3xEUfw.js";
import { _ as _sfc_main$a } from "./MoneyFormat.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
import { _ as _sfc_main$b } from "./ScrollPanel.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import { u as useCategoryApi } from "./register.uaDs3xEUfw.js";
import "./csv.uaDs3xEUfw.js";
import "./index.uaDs3xEUfw3.js";
import "./productSearch.uaDs3xEUfw.js";
import "./TheImage.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./address.uaDs3xEUfw.js";
import "./product-placeholder.uaDs3xEUfw.js";
function arrayAggregator$1(array, setter, iteratee, accumulator) {
  var index = -1, length = array == null ? 0 : array.length;
  while (++index < length) {
    var value = array[index];
    setter(accumulator, value, iteratee(value), array);
  }
  return accumulator;
}
var _arrayAggregator = arrayAggregator$1;
function createBaseFor$1(fromRight) {
  return function(object, iteratee, keysFunc) {
    var index = -1, iterable = Object(object), props = keysFunc(object), length = props.length;
    while (length--) {
      var key = props[fromRight ? length : ++index];
      if (iteratee(iterable[key], key, iterable) === false) {
        break;
      }
    }
    return object;
  };
}
var _createBaseFor = createBaseFor$1;
var createBaseFor = _createBaseFor;
var baseFor$1 = createBaseFor();
var _baseFor = baseFor$1;
var baseFor = _baseFor, keys$1 = keys_1;
function baseForOwn$1(object, iteratee) {
  return object && baseFor(object, iteratee, keys$1);
}
var _baseForOwn = baseForOwn$1;
var isArrayLike$1 = isArrayLike_1;
function createBaseEach$1(eachFunc, fromRight) {
  return function(collection, iteratee) {
    if (collection == null) {
      return collection;
    }
    if (!isArrayLike$1(collection)) {
      return eachFunc(collection, iteratee);
    }
    var length = collection.length, index = fromRight ? length : -1, iterable = Object(collection);
    while (fromRight ? index-- : ++index < length) {
      if (iteratee(iterable[index], index, iterable) === false) {
        break;
      }
    }
    return collection;
  };
}
var _createBaseEach = createBaseEach$1;
var baseForOwn = _baseForOwn, createBaseEach = _createBaseEach;
var baseEach$2 = createBaseEach(baseForOwn);
var _baseEach = baseEach$2;
var baseEach$1 = _baseEach;
function baseAggregator$1(collection, setter, iteratee, accumulator) {
  baseEach$1(collection, function(value, key, collection2) {
    setter(accumulator, value, iteratee(value), collection2);
  });
  return accumulator;
}
var _baseAggregator = baseAggregator$1;
var Stack = _Stack, baseIsEqual$1 = _baseIsEqual;
var COMPARE_PARTIAL_FLAG$1 = 1, COMPARE_UNORDERED_FLAG$1 = 2;
function baseIsMatch$1(object, source, matchData, customizer) {
  var index = matchData.length, length = index, noCustomizer = !customizer;
  if (object == null) {
    return !length;
  }
  object = Object(object);
  while (index--) {
    var data = matchData[index];
    if (noCustomizer && data[2] ? data[1] !== object[data[0]] : !(data[0] in object)) {
      return false;
    }
  }
  while (++index < length) {
    data = matchData[index];
    var key = data[0], objValue = object[key], srcValue = data[1];
    if (noCustomizer && data[2]) {
      if (objValue === void 0 && !(key in object)) {
        return false;
      }
    } else {
      var stack = new Stack();
      if (customizer) {
        var result = customizer(objValue, srcValue, key, object, source, stack);
      }
      if (!(result === void 0 ? baseIsEqual$1(srcValue, objValue, COMPARE_PARTIAL_FLAG$1 | COMPARE_UNORDERED_FLAG$1, customizer, stack) : result)) {
        return false;
      }
    }
  }
  return true;
}
var _baseIsMatch = baseIsMatch$1;
var isObject = isObject_1;
function isStrictComparable$2(value) {
  return value === value && !isObject(value);
}
var _isStrictComparable = isStrictComparable$2;
var isStrictComparable$1 = _isStrictComparable, keys = keys_1;
function getMatchData$1(object) {
  var result = keys(object), length = result.length;
  while (length--) {
    var key = result[length], value = object[key];
    result[length] = [key, value, isStrictComparable$1(value)];
  }
  return result;
}
var _getMatchData = getMatchData$1;
function matchesStrictComparable$2(key, srcValue) {
  return function(object) {
    if (object == null) {
      return false;
    }
    return object[key] === srcValue && (srcValue !== void 0 || key in Object(object));
  };
}
var _matchesStrictComparable = matchesStrictComparable$2;
var baseIsMatch = _baseIsMatch, getMatchData = _getMatchData, matchesStrictComparable$1 = _matchesStrictComparable;
function baseMatches$1(source) {
  var matchData = getMatchData(source);
  if (matchData.length == 1 && matchData[0][2]) {
    return matchesStrictComparable$1(matchData[0][0], matchData[0][1]);
  }
  return function(object) {
    return object === source || baseIsMatch(object, source, matchData);
  };
}
var _baseMatches = baseMatches$1;
var isArray$6 = isArray_1, isSymbol$2 = isSymbol_1;
var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, reIsPlainProp = /^\w*$/;
function isKey$3(value, object) {
  if (isArray$6(value)) {
    return false;
  }
  var type = typeof value;
  if (type == "number" || type == "symbol" || type == "boolean" || value == null || isSymbol$2(value)) {
    return true;
  }
  return reIsPlainProp.test(value) || !reIsDeepProp.test(value) || object != null && value in Object(object);
}
var _isKey = isKey$3;
var MapCache = _MapCache;
var FUNC_ERROR_TEXT = "Expected a function";
function memoize$1(func, resolver) {
  if (typeof func != "function" || resolver != null && typeof resolver != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  var memoized = function() {
    var args = arguments, key = resolver ? resolver.apply(this, args) : args[0], cache = memoized.cache;
    if (cache.has(key)) {
      return cache.get(key);
    }
    var result = func.apply(this, args);
    memoized.cache = cache.set(key, result) || cache;
    return result;
  };
  memoized.cache = new (memoize$1.Cache || MapCache)();
  return memoized;
}
memoize$1.Cache = MapCache;
var memoize_1 = memoize$1;
var memoize = memoize_1;
var MAX_MEMOIZE_SIZE = 500;
function memoizeCapped$1(func) {
  var result = memoize(func, function(key) {
    if (cache.size === MAX_MEMOIZE_SIZE) {
      cache.clear();
    }
    return key;
  });
  var cache = result.cache;
  return result;
}
var _memoizeCapped = memoizeCapped$1;
var memoizeCapped = _memoizeCapped;
var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;
var reEscapeChar = /\\(\\)?/g;
var stringToPath$1 = memoizeCapped(function(string) {
  var result = [];
  if (string.charCodeAt(0) === 46) {
    result.push("");
  }
  string.replace(rePropName, function(match, number, quote, subString) {
    result.push(quote ? subString.replace(reEscapeChar, "$1") : number || match);
  });
  return result;
});
var _stringToPath = stringToPath$1;
function arrayMap$2(array, iteratee) {
  var index = -1, length = array == null ? 0 : array.length, result = Array(length);
  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}
var _arrayMap = arrayMap$2;
var Symbol$1 = _Symbol, arrayMap$1 = _arrayMap, isArray$5 = isArray_1, isSymbol$1 = isSymbol_1;
var INFINITY$1 = 1 / 0;
var symbolProto = Symbol$1 ? Symbol$1.prototype : void 0, symbolToString = symbolProto ? symbolProto.toString : void 0;
function baseToString$1(value) {
  if (typeof value == "string") {
    return value;
  }
  if (isArray$5(value)) {
    return arrayMap$1(value, baseToString$1) + "";
  }
  if (isSymbol$1(value)) {
    return symbolToString ? symbolToString.call(value) : "";
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY$1 ? "-0" : result;
}
var _baseToString = baseToString$1;
var baseToString = _baseToString;
function toString$1(value) {
  return value == null ? "" : baseToString(value);
}
var toString_1 = toString$1;
var isArray$4 = isArray_1, isKey$2 = _isKey, stringToPath = _stringToPath, toString = toString_1;
function castPath$2(value, object) {
  if (isArray$4(value)) {
    return value;
  }
  return isKey$2(value, object) ? [value] : stringToPath(toString(value));
}
var _castPath = castPath$2;
var isSymbol = isSymbol_1;
var INFINITY = 1 / 0;
function toKey$4(value) {
  if (typeof value == "string" || isSymbol(value)) {
    return value;
  }
  var result = value + "";
  return result == "0" && 1 / value == -INFINITY ? "-0" : result;
}
var _toKey = toKey$4;
var castPath$1 = _castPath, toKey$3 = _toKey;
function baseGet$2(object, path) {
  path = castPath$1(path, object);
  var index = 0, length = path.length;
  while (object != null && index < length) {
    object = object[toKey$3(path[index++])];
  }
  return index && index == length ? object : void 0;
}
var _baseGet = baseGet$2;
var baseGet$1 = _baseGet;
function get$1(object, path, defaultValue) {
  var result = object == null ? void 0 : baseGet$1(object, path);
  return result === void 0 ? defaultValue : result;
}
var get_1 = get$1;
function baseHasIn$1(object, key) {
  return object != null && key in Object(object);
}
var _baseHasIn = baseHasIn$1;
var castPath = _castPath, isArguments = isArguments_1, isArray$3 = isArray_1, isIndex = _isIndex, isLength = isLength_1, toKey$2 = _toKey;
function hasPath$1(object, path, hasFunc) {
  path = castPath(path, object);
  var index = -1, length = path.length, result = false;
  while (++index < length) {
    var key = toKey$2(path[index]);
    if (!(result = object != null && hasFunc(object, key))) {
      break;
    }
    object = object[key];
  }
  if (result || ++index != length) {
    return result;
  }
  length = object == null ? 0 : object.length;
  return !!length && isLength(length) && isIndex(key, length) && (isArray$3(object) || isArguments(object));
}
var _hasPath = hasPath$1;
var baseHasIn = _baseHasIn, hasPath = _hasPath;
function hasIn$1(object, path) {
  return object != null && hasPath(object, path, baseHasIn);
}
var hasIn_1 = hasIn$1;
var baseIsEqual = _baseIsEqual, get = get_1, hasIn = hasIn_1, isKey$1 = _isKey, isStrictComparable = _isStrictComparable, matchesStrictComparable = _matchesStrictComparable, toKey$1 = _toKey;
var COMPARE_PARTIAL_FLAG = 1, COMPARE_UNORDERED_FLAG = 2;
function baseMatchesProperty$1(path, srcValue) {
  if (isKey$1(path) && isStrictComparable(srcValue)) {
    return matchesStrictComparable(toKey$1(path), srcValue);
  }
  return function(object) {
    var objValue = get(object, path);
    return objValue === void 0 && objValue === srcValue ? hasIn(object, path) : baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG);
  };
}
var _baseMatchesProperty = baseMatchesProperty$1;
function baseProperty$1(key) {
  return function(object) {
    return object == null ? void 0 : object[key];
  };
}
var _baseProperty = baseProperty$1;
var baseGet = _baseGet;
function basePropertyDeep$1(path) {
  return function(object) {
    return baseGet(object, path);
  };
}
var _basePropertyDeep = basePropertyDeep$1;
var baseProperty = _baseProperty, basePropertyDeep = _basePropertyDeep, isKey = _isKey, toKey = _toKey;
function property$1(path) {
  return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
}
var property_1 = property$1;
var baseMatches = _baseMatches, baseMatchesProperty = _baseMatchesProperty, identity = identity_1, isArray$2 = isArray_1, property = property_1;
function baseIteratee$2(value) {
  if (typeof value == "function") {
    return value;
  }
  if (value == null) {
    return identity;
  }
  if (typeof value == "object") {
    return isArray$2(value) ? baseMatchesProperty(value[0], value[1]) : baseMatches(value);
  }
  return property(value);
}
var _baseIteratee = baseIteratee$2;
var arrayAggregator = _arrayAggregator, baseAggregator = _baseAggregator, baseIteratee$1 = _baseIteratee, isArray$1 = isArray_1;
function createAggregator$1(setter, initializer) {
  return function(collection, iteratee) {
    var func = isArray$1(collection) ? arrayAggregator : baseAggregator, accumulator = initializer ? initializer() : {};
    return func(collection, setter, baseIteratee$1(iteratee), accumulator);
  };
}
var _createAggregator = createAggregator$1;
var baseAssignValue = _baseAssignValue, createAggregator = _createAggregator;
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
var groupBy = createAggregator(function(result, value, key) {
  if (hasOwnProperty.call(result, key)) {
    result[key].push(value);
  } else {
    baseAssignValue(result, key, [value]);
  }
});
var groupBy_1 = groupBy;
const groupBy$1 = /* @__PURE__ */ getDefaultExportFromCjs(groupBy_1);
var baseEach = _baseEach, isArrayLike = isArrayLike_1;
function baseMap$1(collection, iteratee) {
  var index = -1, result = isArrayLike(collection) ? Array(collection.length) : [];
  baseEach(collection, function(value, key, collection2) {
    result[++index] = iteratee(value, key, collection2);
  });
  return result;
}
var _baseMap = baseMap$1;
var arrayMap = _arrayMap, baseIteratee = _baseIteratee, baseMap = _baseMap, isArray = isArray_1;
function map(collection, iteratee) {
  var func = isArray(collection) ? arrayMap : baseMap;
  return func(collection, baseIteratee(iteratee));
}
var map_1 = map;
const map$1 = /* @__PURE__ */ getDefaultExportFromCjs(map_1);
const useOrderHistoryStore = defineStore(
  "useOrderHistoryStore",
  () => {
    const posStore = usePosStore();
    const items = ref([]);
    const viewingId = ref();
    const isFetching = ref(false);
    const _isFetchedAll = ref(false);
    const fetchPage = ref(1);
    const fetchRegisterId = ref(posStore.register.id);
    const isFetchedAll = computed(() => _isFetchedAll.value);
    const activeGroupDate = ref("");
    const itemsGroupByDate = computed(() => {
      const clonedItems = [...items.value].map((item) => ({
        ...item,
        dateCreatedOnlyDate: format(item.dateCreated, "DD/MM/YYYY")
      }));
      const itemsGroupByDateObject = groupBy$1(
        clonedItems,
        "dateCreatedOnlyDate"
      );
      const itemsGroupByDateArray = map$1(
        itemsGroupByDateObject,
        (value, key) => ({
          date: key,
          items: value
        })
      );
      return itemsGroupByDateArray;
    });
    const find = (id) => {
      return items.value.find((item) => item.id == id);
    };
    const fetch = async (options) => {
      var _a, _b, _c;
      options == null ? void 0 : options.needActiveFirstOrder;
      const fetchParams = {
        page: fetchPage.value,
        register: fetchRegisterId.value,
        perPage: 12,
        fromPosifyChannel: true
      };
      let hasError = false, errorCode = null, errorMessage = null, errorDetails = null;
      const orderApi = await useOrderApi();
      isFetching.value = true;
      try {
        const { data } = await orderApi.getList(fetchParams);
        if (data.length == 0) {
          _isFetchedAll.value = true;
        }
        for (const order of data) {
          items.value.push(order);
        }
        if (!viewingId.value) {
          const firstItem = items.value[0];
          if (firstItem) {
            activeGroupDate.value = format(
              firstItem.dateCreated,
              "DD/MM/YYYY"
            );
            if (isMobileScreen() == false) {
              viewingId.value = firstItem.id;
            }
          }
        }
      } catch (error) {
        console.error(error);
        hasError = true;
        errorCode = (_a = error == null ? void 0 : error.posifyError) == null ? void 0 : _a.code;
        errorMessage = (_b = error == null ? void 0 : error.posifyError) == null ? void 0 : _b.message;
        errorDetails = (_c = error == null ? void 0 : error.posifyError) == null ? void 0 : _c.details;
      }
      isFetching.value = false;
      return {
        hasError,
        errorCode,
        errorMessage,
        errorDetails
      };
    };
    const viewingItem = computed(
      () => items.value.find((item) => item.id == viewingId.value)
    );
    const onlyItemsFromPosSource = computed(
      () => items.value.filter((item) => item.source == "pos")
    );
    const clear = () => {
      items.value = [];
      fetchPage.value = 1;
      viewingId.value = void 0;
      fetchRegisterId.value = void 0;
      _isFetchedAll.value = false;
    };
    return {
      items,
      itemsGroupByDate,
      activeGroupDate,
      onlyItemsFromPosSource,
      viewingItem,
      viewingId,
      fetchPage,
      fetchRegisterId,
      isFetching,
      isFetchedAll,
      find,
      fetch,
      clear
    };
  },
  {
    // persist: true,
  }
);
const _hoisted_1$7 = { class: "tw-rounded tw-overflow-hidden tw-bg-cpn tw-uppercase tw-text-primary tw-py-2" };
const _hoisted_2$5 = { class: "tw-ml-3 tw-uppercase tw-font-semibold" };
const _sfc_main$9 = /* @__PURE__ */ defineComponent({
  __name: "OrderListHeader",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const router = useRouter();
    const handleClickBackRegisterScreenButton = () => {
      router.push({ name: "home" });
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createElementBlock("div", _hoisted_1$7, [
        createVNode(_component_a_button, {
          type: "link",
          size: "large",
          onClick: handleClickBackRegisterScreenButton
        }, {
          icon: withCtx(() => [
            createVNode(_component_font_awesome_icon, { icon: unref(faAngleLeft) }, null, 8, ["icon"])
          ]),
          default: withCtx(() => [
            createBaseVNode("span", _hoisted_2$5, toDisplayString(unref(__)("Back to register screen")), 1)
          ]),
          _: 1
        })
      ]);
    };
  }
});
const _sfc_main$8 = /* @__PURE__ */ defineComponent({
  __name: "OrderListGroup",
  props: {
    date: {
      type: String
    },
    ordersCount: {
      type: [String, Number]
    }
  },
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    return (_ctx, _cache) => {
      const _component_a_collapse_panel = resolveComponent("a-collapse-panel");
      return openBlock(), createBlock(_component_a_collapse_panel, { class: "order-group" }, createSlots({
        header: withCtx(() => [
          createTextVNode(toDisplayString(__props.date) + " ", 1),
          renderSlot(_ctx.$slots, "date")
        ]),
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 2
      }, [
        __props.ordersCount ? {
          name: "extra",
          fn: withCtx(() => [
            createTextVNode(toDisplayString(unref(__)("%d orders", [__props.ordersCount])), 1)
          ]),
          key: "0"
        } : void 0
      ]), 1024);
    };
  }
});
const OrderListGroup_vue_vue_type_style_index_0_lang = "";
const _hoisted_1$6 = { class: "tw-pl-3 tw-pr-5" };
const _hoisted_2$4 = { class: "order-item__number tw-flex tw-gap-3 tw-items-center" };
const _hoisted_3$1 = { class: "tw-font-semibold" };
const _hoisted_4 = { class: "tw-ml-auto" };
const _hoisted_5 = { class: "tw-font-semibold" };
const _sfc_main$7 = /* @__PURE__ */ defineComponent({
  __name: "OrderListItem",
  props: {
    number: {
      type: String
    },
    active: {
      type: Boolean,
      default: false
    },
    customerName: {
      type: [String, Number]
    },
    status: {
      type: [String, Number]
    },
    total: {
      type: [String, Number]
    },
    dateCreated: {
      type: [String, Number]
    },
    lineItemsCount: {
      type: [String, Number]
    }
  },
  emits: ["click"],
  setup(__props, { emit }) {
    const props = __props;
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const handleClick = () => {
      emit("click");
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["order-item", { "order-item--active": __props.active }]),
        onClick: handleClick
      }, [
        createBaseVNode("div", _hoisted_1$6, [
          createVNode(_component_font_awesome_icon, {
            icon: unref(faAngleRight),
            class: "order-item__icon tw-font-semibold"
          }, null, 8, ["icon"])
        ]),
        createBaseVNode("div", null, [
          createBaseVNode("div", _hoisted_2$4, [
            createBaseVNode("span", _hoisted_3$1, toDisplayString(unref(__)("Order")) + " #" + toDisplayString(__props.number), 1),
            createVNode(_sfc_main$a, {
              value: __props.total,
              class: "tw-font-bold tw-text-base !tw-inline"
            }, null, 8, ["value"]),
            createBaseVNode("span", null, toDisplayString(unref(__)("%d items", [__props.lineItemsCount])), 1)
          ]),
          createBaseVNode("div", null, [
            createTextVNode(toDisplayString(unref(__)("Customer")) + ": ", 1),
            createBaseVNode("span", null, toDisplayString(__props.customerName), 1)
          ])
        ]),
        createBaseVNode("div", _hoisted_4, [
          createBaseVNode("div", null, toDisplayString(unref(humanFormatOnlyTime)(__props.dateCreated)), 1),
          createBaseVNode("div", _hoisted_5, toDisplayString(unref(orderStatusLabel)(props.status)), 1)
        ])
      ], 2);
    };
  }
});
const OrderListItem_vue_vue_type_style_index_0_scoped_b62fe463_lang = "";
const OrderListItem = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["__scopeId", "data-v-b62fe463"]]);
const _hoisted_1$5 = /* @__PURE__ */ createBaseVNode("div", { class: "skeleton tw-w-[100px] tw-leading-6" }, "a", -1);
const _sfc_main$6 = /* @__PURE__ */ defineComponent({
  __name: "OrderListGroupLoading",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(_sfc_main$8, null, {
        date: withCtx(() => [
          _hoisted_1$5
        ]),
        _: 1
      });
    };
  }
});
const _hoisted_1$4 = {
  key: 0,
  class: "tw-text-center tw-mt-5"
};
const _hoisted_2$3 = {
  key: 1,
  class: "tw-text-center tw-mt-5"
};
const _sfc_main$5 = /* @__PURE__ */ defineComponent({
  __name: "OrderList",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const orderHistoryStore = useOrderHistoryStore();
    const {
      viewingId,
      isFetching,
      isFetchedAll,
      activeGroupDate,
      fetchPage,
      itemsGroupByDate: orderListGroupByDate
    } = storeToRefs(orderHistoryStore);
    const orderDetailModal = useOrderDetailModalStore();
    const showEmpty = computed(() => isFetchedAll.value && !isFetching.value);
    const showLoadMoreButton = computed(() => !isFetchedAll.value);
    const getCustomerName = (order) => {
      const name = fullName({
        firstName: order.shipping.firstName,
        lastName: order.shipping.lastName
      });
      if (name) {
        return name;
      }
      return __("Guest");
    };
    onMounted(() => {
      orderHistoryStore.clear();
      orderHistoryStore.fetch();
    });
    const handleClickOrderListItem = (order) => {
      if (isMobileScreen()) {
        orderDetailModal.setOrder(order);
        orderDetailModal.show();
        return;
      }
      viewingId.value = order.id;
    };
    const handleClickTryFetchAgainButton = () => {
      orderHistoryStore.fetch();
    };
    const handleClickLoadMoreButton = () => {
      if (isFetching.value || isFetchedAll.value) {
        return;
      }
      fetchPage.value++;
      orderHistoryStore.fetch();
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_empty = resolveComponent("a-empty");
      return openBlock(), createBlock(_sfc_main$b, { class: "order-list" }, {
        default: withCtx(() => [
          createVNode(Collapse, {
            activeKey: unref(activeGroupDate),
            "onUpdate:activeKey": _cache[0] || (_cache[0] = ($event) => isRef(activeGroupDate) ? activeGroupDate.value = $event : null),
            bordered: false
          }, {
            default: withCtx(() => [
              (openBlock(true), createElementBlock(Fragment, null, renderList(unref(orderListGroupByDate), (group) => {
                return openBlock(), createBlock(_sfc_main$8, {
                  key: group.date,
                  date: group.date,
                  "orders-count": group.items.length
                }, {
                  default: withCtx(() => [
                    (openBlock(true), createElementBlock(Fragment, null, renderList(group.items, (order) => {
                      return openBlock(), createBlock(OrderListItem, {
                        key: order.id,
                        active: unref(viewingId) == order.id,
                        number: order.number,
                        "customer-name": getCustomerName(order),
                        status: order.status,
                        total: order.total,
                        "date-created": order.dateCreated,
                        "line-items-count": order.lineItems.length,
                        onClick: ($event) => handleClickOrderListItem(order)
                      }, null, 8, ["active", "number", "customer-name", "status", "total", "date-created", "line-items-count", "onClick"]);
                    }), 128))
                  ]),
                  _: 2
                }, 1032, ["date", "orders-count"]);
              }), 128)),
              unref(isFetching) ? (openBlock(), createElementBlock(Fragment, { key: 0 }, renderList(3, (i) => {
                return createVNode(_sfc_main$6, { key: i });
              }), 64)) : createCommentVNode("", true)
            ]),
            _: 1
          }, 8, ["activeKey"]),
          showLoadMoreButton.value ? (openBlock(), createElementBlock("div", _hoisted_1$4, [
            createVNode(_component_a_button, {
              type: "default",
              onClick: handleClickLoadMoreButton
            }, {
              default: withCtx(() => [
                createTextVNode(toDisplayString(unref(__)("Load more")), 1)
              ]),
              _: 1
            })
          ])) : createCommentVNode("", true),
          showEmpty.value ? (openBlock(), createElementBlock("div", _hoisted_2$3, [
            createVNode(_component_a_empty, null, {
              description: withCtx(() => [
                createBaseVNode("div", null, toDisplayString(unref(__)("All orders have been loaded")), 1),
                createVNode(_component_a_button, {
                  type: "link",
                  onClick: handleClickTryFetchAgainButton
                }, {
                  default: withCtx(() => [
                    createTextVNode(toDisplayString(unref(__)("Try again")), 1)
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ])) : createCommentVNode("", true)
        ]),
        _: 1
      });
    };
  }
});
const OrderList_vue_vue_type_style_index_0_scoped_09f96614_lang = "";
const OrderList = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["__scopeId", "data-v-09f96614"]]);
const _sfc_main$4 = /* @__PURE__ */ defineComponent({
  __name: "RegisterSelect",
  props: {
    value: {
      type: [Number, String]
    },
    allowClear: {
      type: Boolean,
      default: false
    }
  },
  emits: ["update:value", "change"],
  setup(__props, { emit }) {
    const languageStore = useLanguageStore();
    const posStore = usePosStore();
    const registers = ref([]);
    const fetching = ref(false);
    const { __ } = languageStore;
    const fetchCategories = async () => {
      registers.value = [];
      fetching.value = true;
      const registerApi = await useCategoryApi();
      registerApi.getList({
        storeId: posStore.store.id,
        perPage: UNLIMITED_NUMBER,
        context: "dropdown"
      }).then(({ data }) => {
        registers.value = data.map((register) => ({
          value: register.id,
          label: register.name
        }));
      }).finally(() => fetching.value = false);
    };
    fetchCategories();
    const handleChange = (registerId) => {
      emit("update:value", registerId);
      emit("change", registerId);
    };
    return (_ctx, _cache) => {
      const _component_a_select = resolveComponent("a-select");
      return openBlock(), createBlock(_component_a_select, {
        value: __props.value,
        placeholder: unref(__)("Select register"),
        class: "tw-w-full",
        ref: "select",
        options: registers.value,
        loading: fetching.value,
        "allow-clear": __props.allowClear,
        onChange: handleChange
      }, null, 8, ["value", "placeholder", "options", "loading", "allow-clear"]);
    };
  }
});
const _hoisted_1$3 = { class: "tw-bg-cpn border-box tw-rounded" };
const _hoisted_2$2 = { class: "tw-p-3 tw-pb-0" };
const _sfc_main$3 = /* @__PURE__ */ defineComponent({
  __name: "OrderListArea",
  setup(__props) {
    const orderHistoryStore = useOrderHistoryStore();
    const { fetchRegisterId } = storeToRefs(orderHistoryStore);
    const handleChangeRegister = (registerId) => {
      orderHistoryStore.clear();
      fetchRegisterId.value = registerId;
      orderHistoryStore.fetch();
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(_sfc_main$9, { class: "tw-mb-3 border-box" }),
        createBaseVNode("div", _hoisted_1$3, [
          createBaseVNode("div", _hoisted_2$2, [
            createVNode(_sfc_main$4, {
              value: unref(fetchRegisterId),
              "allow-clear": true,
              class: "tw-mb-3",
              onChange: handleChangeRegister
            }, null, 8, ["value"])
          ]),
          createVNode(OrderList, { class: "tw-pb-3" })
        ])
      ], 64);
    };
  }
});
const _hoisted_1$2 = /* @__PURE__ */ createBaseVNode("div", { class: "skeleton tw-w-[93px]" }, ".", -1);
const _hoisted_2$1 = /* @__PURE__ */ createBaseVNode("div", { class: "skeleton tw-mb-1" }, ".", -1);
const _hoisted_3 = /* @__PURE__ */ createBaseVNode("div", { class: "skeleton tw-w-[100px]" }, ".", -1);
const _sfc_main$2 = /* @__PURE__ */ defineComponent({
  __name: "OrderDetailCardLoading",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_a_skeleton = resolveComponent("a-skeleton");
      return openBlock(), createBlock(OrderDetailCardLayout, null, {
        "order-id": withCtx(() => [
          _hoisted_1$2
        ]),
        "order-summary": withCtx(() => [
          _hoisted_2$1,
          _hoisted_3
        ]),
        total: withCtx(() => []),
        default: withCtx(() => [
          createVNode(_component_a_skeleton),
          createVNode(_component_a_skeleton),
          createVNode(_component_a_skeleton)
        ]),
        _: 1
      });
    };
  }
});
const _hoisted_1$1 = { class: "tw-p-3" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "OrderDetailArea",
  setup(__props) {
    const orderHistoryStore = useOrderHistoryStore();
    const showLoading = computed(() => {
      return orderHistoryStore.isFetching && !orderHistoryStore.viewingItem;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(_sfc_main$b, { class: "order-detail-card-container" }, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1$1, [
            showLoading.value ? (openBlock(), createBlock(_sfc_main$2, { key: 0 })) : unref(orderHistoryStore).viewingItem ? (openBlock(), createBlock(OrderDetailCard, {
              key: 1,
              order: unref(orderHistoryStore).viewingItem
            }, null, 8, ["order"])) : createCommentVNode("", true)
          ])
        ]),
        _: 1
      });
    };
  }
});
const OrderDetailArea_vue_vue_type_style_index_0_scoped_c9f40837_lang = "";
const OrderDetailArea = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-c9f40837"]]);
const _hoisted_1 = { class: "tw-p-3" };
const _hoisted_2 = { class: "tw-bg-cpn border-box tw-rounded" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "OrderHistoryView",
  setup(__props) {
    const menuStore = useMenuStore();
    menuStore.setActiveMenu("order-history");
    return (_ctx, _cache) => {
      const _component_a_col = resolveComponent("a-col");
      const _component_a_row = resolveComponent("a-row");
      return openBlock(), createBlock(_sfc_main$c, null, {
        default: withCtx(() => [
          createBaseVNode("div", _hoisted_1, [
            createVNode(_component_a_row, { gutter: 10 }, {
              default: withCtx(() => [
                createVNode(_component_a_col, {
                  xs: 24,
                  md: 10,
                  lg: 10,
                  xl: 12
                }, {
                  default: withCtx(() => [
                    createVNode(_sfc_main$3)
                  ]),
                  _: 1
                }),
                createVNode(_component_a_col, {
                  xs: 0,
                  md: 14,
                  lg: 14,
                  xl: 12,
                  class: "col-right"
                }, {
                  default: withCtx(() => [
                    createBaseVNode("div", _hoisted_2, [
                      createVNode(OrderDetailArea)
                    ])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })
          ])
        ]),
        _: 1
      });
    };
  }
});
export {
  _sfc_main as default
};
