import { d as defineComponent, f as useLanguageStore, m as useCommonModalsStore, r as resolveComponent, o as openBlock, a as createBlock, O as withCtx, p as createVNode, J as createTextVNode, t as toDisplayString, j as unref } from "./index.uaDs3xEUfw.js";
import { _ as _sfc_main$1 } from "./TodayProfitReport.vue_vue_type_script_setup_true_lang.uaDs3xEUfw.js";
import "./csv.uaDs3xEUfw.js";
import "./datetime.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "RegisterTodayProfitModal",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const commonModalsStore = useCommonModalsStore();
    const handleCancelModel = () => {
      commonModalsStore.hideRegisterTodayProfitModal();
    };
    return (_ctx, _cache) => {
      const _component_a_button = resolveComponent("a-button");
      const _component_a_modal = resolveComponent("a-modal");
      return openBlock(), createBlock(_component_a_modal, {
        visible: unref(commonModalsStore).registerTodayProfitModal.visible,
        title: unref(__)(`Today's profit`),
        centered: "",
        class: "register-today-profit-modal",
        onCancel: handleCancelModel
      }, {
        footer: withCtx(() => [
          createVNode(_component_a_button, {
            key: "back",
            onClick: handleCancelModel
          }, {
            default: withCtx(() => [
              createTextVNode(toDisplayString(unref(__)("Close")), 1)
            ]),
            _: 1
          })
        ]),
        default: withCtx(() => [
          createVNode(_sfc_main$1)
        ]),
        _: 1
      }, 8, ["visible", "title"]);
    };
  }
});
const RegisterTodayProfitModal_vue_vue_type_style_index_0_lang = "";
export {
  _sfc_main as default
};
