import { d as defineComponent, f as useLanguageStore, H as useCustomerModalStore, G as useCartCustomerStore, s as storeToRefs, r as resolveComponent, o as openBlock, c as createElementBlock, p as createVNode, O as withCtx, j as unref, bl as faCircleUser, i as createBaseVNode, t as toDisplayString } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1 = { class: "select-customer-type" };
const _hoisted_2 = { class: "tw-font-semibold" };
const _hoisted_3 = { class: "tw-font-semibold" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "SelectCustomerType",
  setup(__props) {
    const languageStore = useLanguageStore();
    const { __ } = languageStore;
    const customerModalStore = useCustomerModalStore();
    const cartCustomerStore = useCartCustomerStore();
    const { section } = storeToRefs(customerModalStore);
    const handleClickProceedCustomerAsGuest = () => {
      cartCustomerStore.proceedAsGuest();
      section.value = "select_customer_type";
      customerModalStore.hide();
    };
    const handleClickLoadCustomerProfileButton = () => {
      section.value = "load_customer_profile";
    };
    return (_ctx, _cache) => {
      const _component_font_awesome_icon = resolveComponent("font-awesome-icon");
      const _component_a_button = resolveComponent("a-button");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_component_a_button, {
          block: "",
          size: "large",
          class: "tw-mb-4 button",
          onClick: handleClickProceedCustomerAsGuest
        }, {
          icon: withCtx(() => [
            createVNode(_component_font_awesome_icon, {
              icon: unref(faCircleUser),
              class: "tw-mr-2 tw-text-lg"
            }, null, 8, ["icon"])
          ]),
          default: withCtx(() => [
            createBaseVNode("span", _hoisted_2, toDisplayString(unref(__)("Proceed as guest")), 1)
          ]),
          _: 1
        }),
        createVNode(_component_a_button, {
          block: "",
          size: "large",
          class: "button",
          onClick: handleClickLoadCustomerProfileButton
        }, {
          icon: withCtx(() => [
            createVNode(_component_font_awesome_icon, {
              icon: unref(faCircleUser),
              class: "tw-mr-2 tw-text-lg"
            }, null, 8, ["icon"])
          ]),
          default: withCtx(() => [
            createBaseVNode("span", _hoisted_3, toDisplayString(unref(__)("Load a customer profile")), 1)
          ]),
          _: 1
        })
      ]);
    };
  }
});
const SelectCustomerType_vue_vue_type_style_index_0_scoped_b1443235_lang = "";
const SelectCustomerType = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-b1443235"]]);
export {
  SelectCustomerType as default
};
