import { d as defineComponent, g as computed, r as resolveComponent, o as openBlock, a as createBlock, a6 as normalizeStyle } from "./index.uaDs3xEUfw.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "TheImage",
  props: {
    src: {
      type: String
    },
    preview: {
      type: Boolean,
      default: true
    },
    height: {
      type: [String, Number]
    },
    width: {
      type: [String, Number]
    }
  },
  setup(__props) {
    const props = __props;
    const imageStyles = computed(() => {
      return {
        "object-fit": "cover",
        "object-position": "center",
        width: props.width,
        height: props.height
      };
    });
    return (_ctx, _cache) => {
      const _component_a_image = resolveComponent("a-image");
      return openBlock(), createBlock(_component_a_image, {
        src: __props.src,
        preview: __props.preview,
        style: normalizeStyle(imageStyles.value)
      }, null, 8, ["src", "preview", "style"]);
    };
  }
});
export {
  _sfc_main as _
};
