import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/products/categories", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map((category2) => {
      var _a;
      return {
        id: category2.id,
        title: category2.name,
        thumbnail: (_a = category2 == null ? void 0 : category2.image) == null ? void 0 : _a.src
      };
    });
    return response;
  });
};
const category = (httpClient) => ({
  getList: (params) => getList(httpClient, params)
});
export {
  category as default
};
