import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/payment_gateways", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map((paymentGateway2) => {
      return {
        id: paymentGateway2.id,
        title: paymentGateway2.method_title
      };
    });
    return response;
  });
};
const paymentGateway = (httpClient) => ({
  getList: (params) => getList(httpClient, params)
});
export {
  paymentGateway as default
};
