import { t as toStore } from "./store.uaDs3xEUfw2.js";
import { t as toRegister } from "./register.uaDs3xEUfw3.js";
import { t as toReceipt } from "./receipt.uaDs3xEUfw2.js";
import "./index.uaDs3xEUfw.js";
const toRegisterSession = (wooRegisterSession) => {
  return {
    id: wooRegisterSession == null ? void 0 : wooRegisterSession.id,
    cashInHandsCount: wooRegisterSession == null ? void 0 : wooRegisterSession.cash_in_hands_count
  };
};
const getDetail = (httpClient, sessionId) => {
  return httpClient.get(`posify/v1/pos/${sessionId}`).then((response) => {
    response.data.store = toStore(response.data.store);
    response.data.register = toRegister(response.data.register);
    response.data.receipt = toReceipt(response.data.receipt);
    response.data.registerSession = toRegisterSession(
      response.data.register_session
    );
    return response;
  });
};
const pos = (httpClient) => ({
  getDetail: (sessionId) => getDetail(httpClient, sessionId)
});
export {
  pos as default
};
