import { t as toWooParams } from "./params.uaDs3xEUfw.js";
import { t as toRegister, a as toWooRegister } from "./register.uaDs3xEUfw3.js";
import "./index.uaDs3xEUfw.js";
const getDetail = (httpClient, registerId) => {
  return httpClient.get(`/posify/v1/registers/${registerId}`).then((response) => {
    response.data = toRegister(response.data);
    return response;
  });
};
const getList = (httpClient, params) => {
  return httpClient.get(`/posify/v1/registers`, {
    params: toWooParams(params)
  }).then((response) => {
    response.data.map(toRegister);
    return response;
  });
};
const update = (httpClient, registerId, data) => {
  console.log(data);
  return httpClient.put(`/posify/v1/registers/${registerId}`, toWooRegister(data)).then((response) => {
    response.data = toRegister(response.data);
    return response;
  });
};
const register = (httpClient) => ({
  getDetail: (registerId) => getDetail(httpClient, registerId),
  update: (registerId, data) => update(httpClient, registerId, data),
  getList: (params) => getList(httpClient, params)
});
export {
  register as default
};
