import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const currentSession = (httpClient, registerId, params) => {
  return httpClient.get(`/posify/v1/reports/registers/${registerId}/sessions/current`, {
    params: toWooParams(params)
  }).then((response) => {
    const report2 = response.data;
    response.data = {
      openTime: report2.open_time,
      cashiers: report2.cashiers,
      ordersCount: report2.orders_count,
      numItemsSold: report2.num_items_sold,
      cashInHand: report2.cash_in_hand,
      netTotal: report2.net_total,
      totalSales: report2.total_sales,
      cashTotal: report2.cash_total
    };
    return response;
  });
};
const report = (httpClient) => ({
  currentSession: (registerId, params) => currentSession(httpClient, registerId, params)
});
export {
  report as default
};
