import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/shipping_methods", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map((shippingMethod2) => {
      return {
        id: shippingMethod2.id,
        title: shippingMethod2.title,
        description: shippingMethod2.description
      };
    });
    return response;
  });
};
const shippingMethod = (httpClient) => ({
  getList: (params) => getList(httpClient, params)
});
export {
  shippingMethod as default
};
