import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const getList = (httpClient, params) => {
  return httpClient.get("wc/v3/taxes/classes", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map((tax) => {
      return {
        id: tax.slug,
        title: tax.name
      };
    });
    return response;
  });
};
const taxClass = (httpClient) => ({
  getList: (params) => getList(httpClient, params)
});
export {
  taxClass as default
};
