<?php

namespace Posify\Core\DataTransferObjects\Factories;

use Faker\Factory;
use Posify\Core\DataTransferObjects\CreateStockData;

class CreateStockDataFactory
{
    public static function factory(array $data = []): CreateStockData
    {
        $faker = Factory::create();

        $data = array_merge([
            'stock_quantity' => $faker->randomDigit,
        ], $data);

        return CreateStockData::make($data);
    }
}
