<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasEntityQueryParams;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class RegisterCashQueryArgs
{
    use HasTransformObject;
    use HasMakeFactory;
    use HasEntityQueryParams;

    public $register_id = null;
    public $store_id = null;
    public $employee_id = null;
    public $session_id = null;
    public $id = null;

    public function __construct(
        $register_id = null,
        $store_id = null,
        $employee_id = null,
        $session_id = null,
        $id = null
    ) {
        $this->register_id = $register_id;
        $this->store_id = $store_id;
        $this->employee_id = $employee_id;
        $this->session_id = $session_id;
        $this->id = $id;
    }
}
