<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class UpdateReceiptData
{
    use HasTransformObject;
    use HasMakeFactory;

    public $name;
    public $show_logo;
    public $logo_url;
    public $show_sku;
    public $sku_label;
    public $show_store_name;
    public $receipt_footer;
    public $show_vat;
    public $vat_label;
    public $show_address;
    public $show_phone;
    public $show_email;
    public $show_fax;
    public $show_website;
    public $show_facebook;
    public $show_twitter;
    public $show_instagram;
    public $show_youtube;
    public $show_order_date;
    public $order_date_label;
    public $show_order_number;
    public $order_number_label;
    public $show_order_customer;
    public $order_customer_label;
    public $show_shipping;
    public $shipping_label;
    public $show_order_register;
    public $order_register_label;
    public $show_cashier;
    public $cashier_label;
    public $show_customer_note;
    public $customer_note_label;

    public function __construct(
        $name,
        $show_logo,
        $logo_url,
        $show_sku,
        $sku_label,
        $show_store_name,
        $receipt_footer,
        $show_vat,
        $vat_label,
        $show_address,
        $show_phone,
        $show_email,
        $show_fax,
        $show_website,
        $show_facebook,
        $show_twitter,
        $show_instagram,
        $show_youtube,
        $show_order_date,
        $order_date_label,
        $show_order_number,
        $order_number_label,
        $show_order_customer,
        $order_customer_label,
        $show_shipping,
        $shipping_label,
        $show_order_register,
        $order_register_label,
        $show_cashier,
        $cashier_label,
        $show_customer_note,
        $customer_note_label
    ) {
        $this->name = $name;
        $this->show_logo = $show_logo;
        $this->logo_url = $logo_url;
        $this->show_sku = $show_sku;
        $this->sku_label = $sku_label;
        $this->show_store_name = $show_store_name;
        $this->receipt_footer = $receipt_footer;
        $this->show_vat = $show_vat;
        $this->vat_label = $vat_label;
        $this->show_address = $show_address;
        $this->show_phone = $show_phone;
        $this->show_email = $show_email;
        $this->show_fax = $show_fax;
        $this->show_website = $show_website;
        $this->show_facebook = $show_facebook;
        $this->show_twitter = $show_twitter;
        $this->show_instagram = $show_instagram;
        $this->show_youtube = $show_youtube;
        $this->show_order_date = $show_order_date;
        $this->order_date_label = $order_date_label;
        $this->show_order_number = $show_order_number;
        $this->order_number_label = $order_number_label;
        $this->show_order_customer = $show_order_customer;
        $this->order_customer_label = $order_customer_label;
        $this->show_shipping = $show_shipping;
        $this->shipping_label = $shipping_label;
        $this->show_order_register = $show_order_register;
        $this->order_register_label = $order_register_label;
        $this->show_cashier = $show_cashier;
        $this->cashier_label = $cashier_label;
        $this->show_customer_note = $show_customer_note;
        $this->customer_note_label = $customer_note_label;
    }
}
