<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class UpdateStoreData
{
    use HasMakeFactory;
    use HasTransformObject;

    public $name;
    public $address;
    public $city;
    public $country_state;
    public $postcode;
    public $phone;
    public $fax;
    public $email;
    public $website;
    public $facebook;
    public $twitter;
    public $instagram;
    public $youtube;
    public $enabled;
    public $vat_number;

    public function __construct(
        $name,
        $address,
        $city,
        $country_state,
        $postcode,
        $phone,
        $fax,
        $email,
        $website,
        $facebook,
        $twitter,
        $instagram,
        $youtube,
        $enabled,
        $vat_number
    ) {
        $this->name = $name;
        $this->address = $address;
        $this->city = $city;
        $this->country_state = $country_state;
        $this->postcode = $postcode;
        $this->phone = $phone;
        $this->fax = $fax;
        $this->email = $email;
        $this->website = $website;
        $this->facebook = $facebook;
        $this->twitter = $twitter;
        $this->instagram = $instagram;
        $this->youtube = $youtube;
        $this->enabled = $enabled;
        $this->vat_number = $vat_number;
    }
}
