<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\Stock;

class DeleteStock
{
    public Stock $stock;

    public function __construct(
        Stock $stock
    ) {
        $this->stock = $stock;
    }

    public function handle(): void
    {
        $this->stock->delete();
    }

    public static function make(
        Stock $stock
    ) {
        return new static(
            $stock,
        );
    }
}
