<?php

namespace Posify\Core\Utilities;

trait HasTransformObject
{
    public function toArray()
    {
        $array = [];

        foreach ($this as $key => $value) {
            if (is_object($value) && method_exists($value, 'toArray')) {
                $array[] = $value->toArray();
            } else {
                $array[$key] = $value;
            }
        }

        return $array;
    }
}
