<?php

namespace Posify\Woocommerce\Installer\DatabaseMigrations;

use Posify\Woocommerce\DB;

class Migration_009_Create_Register_Session_Employees_Table extends Migration
{
    public static function up()
    {
        if (!DB::schema()->hasTable('posify_register_session_employees')) {
            DB::schema()->create('posify_register_session_employees', function ($table) {
                $table->id();
                $table->unsignedBigInteger('session_id');
                $table->unsignedBigInteger('employee_id');
                $table->string('action')->nullale();
                $table->text('meta')->nullable();
                $table->timestamps();
            });
        }

    }

    public static function down()
    {
        DB::schema()->dropIfExists('posify_register_session_employees');
    }
}
