<?php

namespace Posify\Woocommerce\ServiceProviders;

use Posify\Woocommerce\Utilities\HasInstance;

class LanguageServiceProvider extends BaseServiceProvider
{
    use HasInstance;

    public function register()
    {
        load_plugin_textdomain('posify-for-woocommerce', false, POSIFY_HOME_REL_DIR . '/resources/languages/');

        add_action('change_locale', function () {
            add_filter('plugin_locale', function () {
                return get_locale();
            });

            load_plugin_textdomain('posify-for-woocommerce', false, POSIFY_HOME_REL_DIR . '/resources/languages/');
        });
    }
}
