import { d as defineComponent, bt as customerFactory, r as resolveComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, p as createVNode, t as toDisplayString, j as unref, aq as fullName, b as createCommentVNode, e as renderSlot } from "./index.uaDs3xEUfw.js";
const _hoisted_1 = { class: "tw-flex tw-items-center tw-gap-3" };
const _hoisted_2 = { class: "tw-w-full tw-flex tw-items-center" };
const _hoisted_3 = { class: "tw-mb-1 tw-text-base tw-font-semibold" };
const _hoisted_4 = { class: "tw-text-sm" };
const _hoisted_5 = { key: 0 };
const _hoisted_6 = { key: 1 };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "CustomerSummary",
  props: {
    customer: {
      type: Object,
      default() {
        return customerFactory();
      }
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_a_avatar = resolveComponent("a-avatar");
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createBaseVNode("div", null, [
          createVNode(_component_a_avatar, {
            shape: "square",
            size: 48,
            src: __props.customer.avatarUrl
          }, null, 8, ["src"])
        ]),
        createBaseVNode("div", _hoisted_2, [
          createBaseVNode("div", null, [
            createBaseVNode("div", _hoisted_3, toDisplayString(unref(fullName)({
              firstName: __props.customer.firstName,
              lastName: __props.customer.lastName
            })), 1),
            createBaseVNode("div", _hoisted_4, [
              __props.customer.email ? (openBlock(), createElementBlock("div", _hoisted_5, toDisplayString(__props.customer.email), 1)) : createCommentVNode("", true),
              __props.customer.phone ? (openBlock(), createElementBlock("div", _hoisted_6, toDisplayString(__props.customer.phone), 1)) : createCommentVNode("", true)
            ])
          ])
        ]),
        renderSlot(_ctx.$slots, "rightExtra")
      ]);
    };
  }
});
export {
  _sfc_main as _
};
