import { d as defaultImage } from "./product-placeholder.uaDs3xEUfw.js";
import { d as defineComponent, o as openBlock, c as createElementBlock, i as createBaseVNode, a6 as normalizeStyle, J as createTextVNode, t as toDisplayString, e as renderSlot, n as normalizeClass, r as resolveComponent, p as createVNode } from "./index.uaDs3xEUfw.js";
import { _ as _export_sfc } from "./_plugin-vue_export-helper.uaDs3xEUfw.js";
const _hoisted_1$1 = { class: "product-browser-item__inner" };
const _hoisted_2 = { class: "product-browser-item__title-container" };
const _hoisted_3 = { class: "tw-absolute tw-top-0 tw-right-0" };
const _sfc_main$1 = /* @__PURE__ */ defineComponent({
  __name: "ProductBrowserItem",
  props: {
    title: {
      type: String
    },
    thumbnail: {
      type: String,
      default: defaultImage
    },
    disabled: {
      type: Boolean,
      default: false
    }
  },
  emits: ["click"],
  setup(__props, { emit }) {
    const handleClick = () => {
      emit("click");
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["product-browser-item", {
          "product-browser-item--disabled": __props.disabled
        }]),
        onClick: handleClick
      }, [
        createBaseVNode("div", _hoisted_1$1, [
          createBaseVNode("div", {
            class: "product-browser-item__image",
            style: normalizeStyle({ backgroundImage: `url('${__props.thumbnail}')` })
          }, null, 4),
          createBaseVNode("div", _hoisted_2, [
            createTextVNode(toDisplayString(__props.title) + " ", 1),
            renderSlot(_ctx.$slots, "title", {}, void 0, true)
          ])
        ]),
        createBaseVNode("div", _hoisted_3, [
          renderSlot(_ctx.$slots, "flag", {}, void 0, true)
        ])
      ], 2);
    };
  }
});
const ProductBrowserItem_vue_vue_type_style_index_0_scoped_951a0b59_lang = "";
const ProductBrowserItem = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["__scopeId", "data-v-951a0b59"]]);
const _sfc_main = {};
const _hoisted_1 = { class: "tw-h-[110px] tw-bg-cpn tw-flex tw-items-center tw-justify-center tw-text-contrast-lowest tw-px-5 tw-rounded" };
function _sfc_render(_ctx, _cache) {
  const _component_a_skeleton = resolveComponent("a-skeleton");
  return openBlock(), createElementBlock("div", _hoisted_1, [
    createVNode(_component_a_skeleton, { title: false })
  ]);
}
const ProductBrowserItemLoading = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export {
  ProductBrowserItem as P,
  ProductBrowserItemLoading as a
};
