import { bG as emptyToNull } from "./index.uaDs3xEUfw.js";
const toBilling = (billing) => {
  return {
    firstName: billing.first_name,
    lastName: billing.last_name,
    company: billing.company,
    address1: billing.address_1,
    address2: billing.address_2,
    city: billing.city,
    state: billing.state,
    postcode: billing.postcode,
    country: billing.country,
    email: billing.email,
    phone: billing.phone
  };
};
const toShipping = (shipping, merge) => {
  merge = merge || {};
  return {
    firstName: shipping.first_name,
    lastName: shipping.last_name,
    company: shipping.company,
    address1: shipping.address_1,
    address2: shipping.address_2,
    city: shipping.city,
    state: shipping.state,
    postcode: shipping.postcode,
    country: shipping.country,
    phone: shipping.phone,
    ...merge
  };
};
const toWooBilling = (billing) => {
  return {
    first_name: billing.firstName,
    last_name: billing.lastName,
    company: billing.company,
    address_1: billing.address1,
    address_2: billing.address2,
    city: billing.city,
    state: billing.state,
    postcode: billing.postcode,
    country: billing.country,
    email: emptyToNull(billing.email),
    phone: billing.phone
  };
};
const toWooShipping = (shipping) => {
  return {
    first_name: shipping.firstName,
    last_name: shipping.lastName,
    company: shipping.company,
    address_1: shipping.address1,
    address_2: shipping.address2,
    city: shipping.city,
    state: shipping.state,
    postcode: shipping.postcode,
    country: shipping.country,
    phone: shipping.phone
  };
};
export {
  toBilling as a,
  toWooBilling as b,
  toWooShipping as c,
  toShipping as t
};
