import { bg as axios$2, bh as getAugmentedNamespace, M as useAppStore, s as storeToRefs, bi as __variableDynamicImportRuntimeHelper, _ as __vitePreload } from "./index.uaDs3xEUfw.js";
const {
  Axios,
  AxiosError,
  CanceledError,
  isCancel,
  CancelToken,
  VERSION,
  all,
  Cancel,
  isAxiosError,
  spread,
  toFormData,
  AxiosHeaders,
  HttpStatusCode,
  formToJSON,
  mergeConfig
} = axios$2;
const axios$1 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Axios,
  AxiosError,
  AxiosHeaders,
  Cancel,
  CancelToken,
  CanceledError,
  HttpStatusCode,
  VERSION,
  all,
  default: axios$2,
  formToJSON,
  isAxiosError,
  isCancel,
  mergeConfig,
  spread,
  toFormData
}, Symbol.toStringTag, { value: "Module" }));
var src = { exports: {} };
const require$$0 = /* @__PURE__ */ getAugmentedNamespace(axios$1);
var fastDeepEqual = function equal(a, b) {
  if (a === b)
    return true;
  if (a && b && typeof a == "object" && typeof b == "object") {
    if (a.constructor !== b.constructor)
      return false;
    var length, i, keys;
    if (Array.isArray(a)) {
      length = a.length;
      if (length != b.length)
        return false;
      for (i = length; i-- !== 0; )
        if (!equal(a[i], b[i]))
          return false;
      return true;
    }
    if (a.constructor === RegExp)
      return a.source === b.source && a.flags === b.flags;
    if (a.valueOf !== Object.prototype.valueOf)
      return a.valueOf() === b.valueOf();
    if (a.toString !== Object.prototype.toString)
      return a.toString() === b.toString();
    keys = Object.keys(a);
    length = keys.length;
    if (length !== Object.keys(b).length)
      return false;
    for (i = length; i-- !== 0; )
      if (!Object.prototype.hasOwnProperty.call(b, keys[i]))
        return false;
    for (i = length; i-- !== 0; ) {
      var key = keys[i];
      if (!equal(a[key], b[key]))
        return false;
    }
    return true;
  }
  return a !== a && b !== b;
};
/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
var isBuffer$1 = function isBuffer(obj) {
  return obj != null && obj.constructor != null && typeof obj.constructor.isBuffer === "function" && obj.constructor.isBuffer(obj);
};
/*!
 * MIT License
 *
 * Copyright (c) Sindre Sorhus <sindresorhus@gmail.com> (https://sindresorhus.com)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit
 * persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
function isBlob$1(value) {
  if (typeof Blob === "undefined") {
    return false;
  }
  return value instanceof Blob || Object.prototype.toString.call(value) === "[object Blob]";
}
var is_blob = isBlob$1;
var axios = require$$0;
var isEqual = fastDeepEqual;
var isBuffer2 = isBuffer$1;
var isBlob = is_blob;
var toString = Object.prototype.toString;
function find(array, predicate) {
  var length = array.length;
  for (var i = 0; i < length; i++) {
    var value = array[i];
    if (predicate(value))
      return value;
  }
}
function isFunction(val) {
  return toString.call(val) === "[object Function]";
}
function isObjectOrArray(val) {
  return val !== null && typeof val === "object";
}
function isStream(val) {
  return isObjectOrArray(val) && isFunction(val.pipe);
}
function isArrayBuffer(val) {
  return toString.call(val) === "[object ArrayBuffer]";
}
function combineUrls(baseURL, url) {
  if (baseURL) {
    return baseURL.replace(/\/+$/, "") + "/" + url.replace(/^\/+/, "");
  }
  return url;
}
function findHandler(handlers, method, url, body, parameters, headers, baseURL) {
  return find(handlers[method.toLowerCase()], function(handler) {
    if (typeof handler[0] === "string") {
      return (isUrlMatching(url, handler[0]) || isUrlMatching(combineUrls(baseURL, url), handler[0])) && isBodyOrParametersMatching(method, body, parameters, handler[1]) && isObjectMatching(headers, handler[2]);
    } else if (handler[0] instanceof RegExp) {
      return (handler[0].test(url) || handler[0].test(combineUrls(baseURL, url))) && isBodyOrParametersMatching(method, body, parameters, handler[1]) && isObjectMatching(headers, handler[2]);
    }
  });
}
function isUrlMatching(url, required) {
  var noSlashUrl = url[0] === "/" ? url.substr(1) : url;
  var noSlashRequired = required[0] === "/" ? required.substr(1) : required;
  return noSlashUrl === noSlashRequired;
}
function isBodyOrParametersMatching(method, body, parameters, required) {
  var allowedParamsMethods = ["delete", "get", "head", "options"];
  if (allowedParamsMethods.indexOf(method.toLowerCase()) >= 0) {
    var data = required ? required.data : void 0;
    var params = required ? required.params : void 0;
    return isObjectMatching(parameters, params) && isBodyMatching(body, data);
  } else {
    return isBodyMatching(body, required);
  }
}
function isObjectMatching(actual, expected) {
  if (expected === void 0)
    return true;
  if (typeof expected.asymmetricMatch === "function") {
    return expected.asymmetricMatch(actual);
  }
  return isEqual(actual, expected);
}
function isBodyMatching(body, requiredBody) {
  if (requiredBody === void 0) {
    return true;
  }
  var parsedBody;
  try {
    parsedBody = JSON.parse(body);
  } catch (e) {
  }
  return isObjectMatching(parsedBody ? parsedBody : body, requiredBody);
}
function purgeIfReplyOnce(mock, handler) {
  Object.keys(mock.handlers).forEach(function(key) {
    var index2 = mock.handlers[key].indexOf(handler);
    if (index2 > -1) {
      mock.handlers[key].splice(index2, 1);
    }
  });
}
function settle(resolve, reject, response, delay) {
  if (delay > 0) {
    setTimeout(settle, delay, resolve, reject, response);
    return;
  }
  if (!response.config.validateStatus || response.config.validateStatus(response.status)) {
    resolve(response);
  } else {
    reject(
      createAxiosError(
        "Request failed with status code " + response.status,
        response.config,
        response
      )
    );
  }
}
function createAxiosError(message, config, response, code) {
  if (typeof axios.AxiosError === "function") {
    return axios.AxiosError.from(new Error(message), code, config, null, response);
  }
  var error = new Error(message);
  error.isAxiosError = true;
  error.config = config;
  if (response !== void 0) {
    error.response = response;
  }
  if (code !== void 0) {
    error.code = code;
  }
  error.toJSON = function toJSON() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: this.config,
      code: this.code
    };
  };
  return error;
}
function createCouldNotFindMockError(config) {
  var message = "Could not find mock for: \n" + JSON.stringify(config, ["method", "url"], 2);
  var error = new Error(message);
  error.isCouldNotFindMockError = true;
  error.url = config.url;
  error.method = config.method;
  return error;
}
var utils$2 = {
  find,
  findHandler,
  purgeIfReplyOnce,
  settle,
  isStream,
  isArrayBuffer,
  isFunction,
  isObjectOrArray,
  isBuffer: isBuffer2,
  isBlob,
  isBodyOrParametersMatching,
  isEqual,
  createAxiosError,
  createCouldNotFindMockError
};
var utils$1 = utils$2;
function transformRequest(data) {
  if (utils$1.isArrayBuffer(data) || utils$1.isBuffer(data) || utils$1.isStream(data) || utils$1.isBlob(data)) {
    return data;
  }
  if (utils$1.isObjectOrArray(data)) {
    return JSON.parse(JSON.stringify(data));
  }
  return data;
}
function makeResponse(result, config) {
  return {
    status: result[0],
    data: transformRequest(result[1]),
    headers: result[2],
    config,
    request: {
      responseURL: config.url
    }
  };
}
function passThroughRequest(mockAdapter, resolve, reject, config) {
  var baseURL = config.baseURL;
  if (config.baseURL && !/^https?:/.test(config.baseURL)) {
    baseURL = void 0;
  }
  if (typeof mockAdapter.originalAdapter === "function") {
    return mockAdapter.originalAdapter(config).then(resolve, reject);
  }
  mockAdapter.axiosInstanceWithoutInterceptors(Object.assign({}, config, {
    baseURL,
    //  Use the original adapter, not the mock adapter
    adapter: mockAdapter.originalAdapter,
    // The request transformation runs on the original axios handler already
    transformRequest: [],
    transformResponse: []
  })).then(resolve, reject);
}
function handleRequest$1(mockAdapter, resolve, reject, config) {
  var url = config.url || "";
  if (config.baseURL && url.substr(0, config.baseURL.length) === config.baseURL) {
    url = url.slice(config.baseURL.length);
  }
  delete config.adapter;
  mockAdapter.history[config.method].push(config);
  var handler = utils$1.findHandler(
    mockAdapter.handlers,
    config.method,
    url,
    config.data,
    config.params,
    config.headers && config.headers.constructor.name === "AxiosHeaders" ? Object.assign({}, config.headers) : config.headers,
    config.baseURL
  );
  if (handler) {
    if (handler.length === 7) {
      utils$1.purgeIfReplyOnce(mockAdapter, handler);
    }
    if (handler.length === 2) {
      passThroughRequest(mockAdapter, resolve, reject, config);
    } else if (typeof handler[3] !== "function") {
      utils$1.settle(
        resolve,
        reject,
        makeResponse(handler.slice(3), config),
        mockAdapter.delayResponse
      );
    } else {
      var result = handler[3](config);
      if (typeof result.then !== "function") {
        utils$1.settle(
          resolve,
          reject,
          makeResponse(result, config),
          mockAdapter.delayResponse
        );
      } else {
        result.then(
          function(result2) {
            if (result2.config && result2.status) {
              utils$1.settle(
                resolve,
                reject,
                makeResponse(
                  [result2.status, result2.data, result2.headers],
                  result2.config
                ),
                0
              );
            } else {
              utils$1.settle(
                resolve,
                reject,
                makeResponse(result2, config),
                mockAdapter.delayResponse
              );
            }
          },
          function(error) {
            if (mockAdapter.delayResponse > 0) {
              setTimeout(function() {
                reject(error);
              }, mockAdapter.delayResponse);
            } else {
              reject(error);
            }
          }
        );
      }
    }
  } else {
    switch (mockAdapter.onNoMatch) {
      case "passthrough":
        passThroughRequest(mockAdapter, resolve, reject, config);
        break;
      case "throwException":
        throw utils$1.createCouldNotFindMockError(config);
      default:
        utils$1.settle(
          resolve,
          reject,
          {
            status: 404,
            config
          },
          mockAdapter.delayResponse
        );
    }
  }
}
var handle_request = handleRequest$1;
var handleRequest = handle_request;
var utils = utils$2;
var VERBS = [
  "get",
  "post",
  "head",
  "delete",
  "patch",
  "put",
  "options",
  "list",
  "link",
  "unlink"
];
function adapter() {
  return function(config) {
    var mockAdapter = this;
    return new Promise(function(resolve, reject) {
      handleRequest(mockAdapter, resolve, reject, config);
    });
  }.bind(this);
}
function getVerbObject() {
  return VERBS.reduce(function(accumulator, verb) {
    accumulator[verb] = [];
    return accumulator;
  }, {});
}
function reset() {
  resetHandlers.call(this);
  resetHistory.call(this);
}
function resetHandlers() {
  this.handlers = getVerbObject();
}
function resetHistory() {
  this.history = getVerbObject();
}
function MockAdapter(axiosInstance, options) {
  reset.call(this);
  if (axiosInstance) {
    this.axiosInstance = axiosInstance;
    this.axiosInstanceWithoutInterceptors = axiosInstance.create ? axiosInstance.create() : void 0;
    this.originalAdapter = axiosInstance.defaults.adapter;
    this.delayResponse = options && options.delayResponse > 0 ? options.delayResponse : null;
    this.onNoMatch = options && options.onNoMatch || null;
    axiosInstance.defaults.adapter = this.adapter.call(this);
  } else {
    throw new Error("Please provide an instance of axios to mock");
  }
}
MockAdapter.prototype.adapter = adapter;
MockAdapter.prototype.restore = function restore() {
  if (this.axiosInstance) {
    this.axiosInstance.defaults.adapter = this.originalAdapter;
    this.axiosInstance = void 0;
  }
};
MockAdapter.prototype.reset = reset;
MockAdapter.prototype.resetHandlers = resetHandlers;
MockAdapter.prototype.resetHistory = resetHistory;
VERBS.concat("any").forEach(function(method) {
  var methodName = "on" + method.charAt(0).toUpperCase() + method.slice(1);
  MockAdapter.prototype[methodName] = function(matcher, body, requestHeaders) {
    var _this = this;
    var matcher = matcher === void 0 ? /.*/ : matcher;
    function reply(code, response, headers) {
      var handler = [matcher, body, requestHeaders, code, response, headers];
      addHandler(method, _this.handlers, handler);
      return _this;
    }
    function replyOnce(code, response, headers) {
      var handler = [
        matcher,
        body,
        requestHeaders,
        code,
        response,
        headers,
        true
      ];
      addHandler(method, _this.handlers, handler);
      return _this;
    }
    return {
      reply,
      replyOnce,
      passThrough: function passThrough() {
        var handler = [matcher, body];
        addHandler(method, _this.handlers, handler);
        return _this;
      },
      abortRequest: function() {
        return reply(function(config) {
          var error = utils.createAxiosError(
            "Request aborted",
            config,
            void 0,
            "ECONNABORTED"
          );
          return Promise.reject(error);
        });
      },
      abortRequestOnce: function() {
        return replyOnce(function(config) {
          var error = utils.createAxiosError(
            "Request aborted",
            config,
            void 0,
            "ECONNABORTED"
          );
          return Promise.reject(error);
        });
      },
      networkError: function() {
        return reply(function(config) {
          var error = utils.createAxiosError("Network Error", config);
          return Promise.reject(error);
        });
      },
      networkErrorOnce: function() {
        return replyOnce(function(config) {
          var error = utils.createAxiosError("Network Error", config);
          return Promise.reject(error);
        });
      },
      timeout: function() {
        return reply(function(config) {
          var error = utils.createAxiosError(
            config.timeoutErrorMessage || "timeout of " + config.timeout + "ms exceeded",
            config,
            void 0,
            config.transitional && config.transitional.clarifyTimeoutError ? "ETIMEDOUT" : "ECONNABORTED"
          );
          return Promise.reject(error);
        });
      },
      timeoutOnce: function() {
        return replyOnce(function(config) {
          var error = utils.createAxiosError(
            config.timeoutErrorMessage || "timeout of " + config.timeout + "ms exceeded",
            config,
            void 0,
            config.transitional && config.transitional.clarifyTimeoutError ? "ETIMEDOUT" : "ECONNABORTED"
          );
          return Promise.reject(error);
        });
      }
    };
  };
});
function findInHandlers(method, handlers, handler) {
  var index2 = -1;
  for (var i = 0; i < handlers[method].length; i += 1) {
    var item = handlers[method][i];
    var isReplyOnce = item.length === 7;
    var comparePaths = item[0] instanceof RegExp && handler[0] instanceof RegExp ? String(item[0]) === String(handler[0]) : item[0] === handler[0];
    var isSame = comparePaths && utils.isEqual(item[1], handler[1]) && utils.isEqual(item[2], handler[2]);
    if (isSame && !isReplyOnce) {
      index2 = i;
    }
  }
  return index2;
}
function addHandler(method, handlers, handler) {
  if (method === "any") {
    VERBS.forEach(function(verb) {
      handlers[verb].push(handler);
    });
  } else {
    var indexOfExistingHandler = findInHandlers(method, handlers, handler);
    if (indexOfExistingHandler > -1 && handler.length < 7) {
      handlers[method].splice(indexOfExistingHandler, 1, handler);
    } else {
      handlers[method].push(handler);
    }
  }
}
src.exports = MockAdapter;
src.exports.default = MockAdapter;
const isWpResponseError = (response) => {
  var _a, _b;
  return ((_a = response == null ? void 0 : response.data) == null ? void 0 : _a.code) && ((_b = response == null ? void 0 : response.data) == null ? void 0 : _b.message);
};
const isRestCookieInvalidNonceError = (error) => {
  var _a, _b;
  return ((_b = (_a = error.response) == null ? void 0 : _a.data) == null ? void 0 : _b.code) == "rest_cookie_invalid_nonce";
};
const setInterceptorConfig = (httpClient) => {
  const appStore = useAppStore();
  const { wpNonce } = storeToRefs(appStore);
  httpClient.interceptors.request.use((config) => {
    const ignoreNonceUrls = [
      // /posify\/v1\/ping/,
      // /posify\/v1\/auth\/login/,
      // /posify\/v1\/settings/,
      // /posify\/v1\/languages\/([a-zA-Z0-9_-]+)\/translations/,
    ];
    const match = ignoreNonceUrls.some((url) => url.test(config.url));
    if (wpNonce.value && !match) {
      config.headers["x-wp-nonce"] = wpNonce.value;
    }
    return config;
  });
  httpClient.interceptors.response.use(
    (response) => {
      const { headers } = response;
      if (headers["x-posify-nonce"]) {
        appStore.setWpNonce(headers["x-posify-nonce"]);
      }
      return response;
    },
    (error) => {
      console.error(error);
      const response = error.response || {};
      const headers = response.headers || {};
      if (headers["x-posify-nonce"]) {
        appStore.setWpNonce(headers["x-posify-nonce"]);
      }
      if (isRestCookieInvalidNonceError(error) && !error.config.is_retry_request) {
        error.config = error.config || {};
        error.config.is_retry_request = true;
        return httpClient.request(error.config);
      }
      const posifyError = {
        code: error.code,
        message: error.message,
        details: response.data || error.message
      };
      if (isWpResponseError(response)) {
        posifyError.code = response.data.code;
        posifyError.message = response.data.message;
        posifyError.details = response.data || response.data.message;
      }
      error.posifyError = posifyError;
      return Promise.reject(error);
    }
  );
};
const httpClientModify = (httpClient) => {
  setInterceptorConfig(httpClient);
};
const index = async (httpClient, resourceName) => {
  httpClientModify(httpClient);
  return (await __variableDynamicImportRuntimeHelper(/* @__PURE__ */ Object.assign({ "./requests/auth.js": () => __vitePreload(() => import("./auth.uaDs3xEUfw.js"), true ? ["./auth.uaDs3xEUfw.js","./auth.uaDs3xEUfw2.js"] : void 0, import.meta.url), "./requests/cash.js": () => __vitePreload(() => import("./cash.uaDs3xEUfw.js"), true ? ["./cash.uaDs3xEUfw.js","./params.uaDs3xEUfw.js","./auth.uaDs3xEUfw2.js"] : void 0, import.meta.url), "./requests/category.js": () => __vitePreload(() => import("./category.uaDs3xEUfw2.js"), true ? ["./category.uaDs3xEUfw2.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/country.js": () => __vitePreload(() => import("./country.uaDs3xEUfw.js"), true ? ["./country.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/coupon.js": () => __vitePreload(() => import("./coupon.uaDs3xEUfw.js"), true ? ["./coupon.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/currentSession.js": () => __vitePreload(() => import("./currentSession.uaDs3xEUfw.js"), true ? [] : void 0, import.meta.url), "./requests/customer.js": () => __vitePreload(() => import("./customer.uaDs3xEUfw.js"), true ? ["./customer.uaDs3xEUfw.js","./address.uaDs3xEUfw2.js","./index.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/language.js": () => __vitePreload(() => import("./language.uaDs3xEUfw.js"), true ? [] : void 0, import.meta.url), "./requests/order.js": () => __vitePreload(() => import("./order.uaDs3xEUfw.js"), true ? ["./order.uaDs3xEUfw.js","./address.uaDs3xEUfw2.js","./index.uaDs3xEUfw.js","./params.uaDs3xEUfw.js","./coupon.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/paymentGateway.js": () => __vitePreload(() => import("./paymentGateway.uaDs3xEUfw.js"), true ? ["./paymentGateway.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/ping.js": () => __vitePreload(() => import("./ping.uaDs3xEUfw.js"), true ? [] : void 0, import.meta.url), "./requests/pos.js": () => __vitePreload(() => import("./pos.uaDs3xEUfw.js"), true ? ["./pos.uaDs3xEUfw.js","./store.uaDs3xEUfw2.js","./register.uaDs3xEUfw3.js","./index.uaDs3xEUfw.js","./receipt.uaDs3xEUfw2.js"] : void 0, import.meta.url), "./requests/product.js": () => __vitePreload(() => import("./product.uaDs3xEUfw2.js"), true ? ["./product.uaDs3xEUfw2.js","./params.uaDs3xEUfw.js","./variation.uaDs3xEUfw2.js"] : void 0, import.meta.url), "./requests/receipt.js": () => __vitePreload(() => import("./receipt.uaDs3xEUfw.js"), true ? ["./receipt.uaDs3xEUfw.js","./receipt.uaDs3xEUfw2.js"] : void 0, import.meta.url), "./requests/register.js": () => __vitePreload(() => import("./register.uaDs3xEUfw2.js"), true ? ["./register.uaDs3xEUfw2.js","./params.uaDs3xEUfw.js","./register.uaDs3xEUfw3.js","./index.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/report.js": () => __vitePreload(() => import("./report.uaDs3xEUfw.js"), true ? ["./report.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/setting.js": () => __vitePreload(() => import("./setting.uaDs3xEUfw.js"), true ? [] : void 0, import.meta.url), "./requests/shippingMethod.js": () => __vitePreload(() => import("./shippingMethod.uaDs3xEUfw.js"), true ? ["./shippingMethod.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/store.js": () => __vitePreload(() => import("./store.uaDs3xEUfw.js"), true ? ["./store.uaDs3xEUfw.js","./store.uaDs3xEUfw2.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/taxClass.js": () => __vitePreload(() => import("./taxClass.uaDs3xEUfw.js"), true ? ["./taxClass.uaDs3xEUfw.js","./params.uaDs3xEUfw.js"] : void 0, import.meta.url), "./requests/variation.js": () => __vitePreload(() => import("./variation.uaDs3xEUfw.js"), true ? ["./variation.uaDs3xEUfw.js","./params.uaDs3xEUfw.js","./variation.uaDs3xEUfw2.js"] : void 0, import.meta.url) }), `./requests/${resourceName}.js`)).default(httpClient);
};
export {
  index as default
};
