const getList = (httpClient) => {
  return httpClient.get("posify/v1/languages");
};
const getTranslations = (httpClient, lang) => {
  return httpClient.get(`posify/v1/languages/${lang}/translations`);
};
const language = (httpClient) => ({
  getList: (params) => getList(httpClient),
  getTranslations: (lang) => getTranslations(httpClient, lang)
});
export {
  language as default
};
