import { t as toReceipt } from "./receipt.uaDs3xEUfw2.js";
const getDetail = (httpClient, receiptId) => {
  return httpClient.get(`posify/v1/receipts/${receiptId}`).then((response) => {
    response.data = toReceipt(response.data);
    return response;
  });
};
const receipt = (httpClient) => ({
  getDetail: (receiptId) => getDetail(httpClient, receiptId)
});
export {
  receipt as default
};
