const toReceipt = (wooReceipt) => {
  const receipt = {
    name: wooReceipt.name,
    numOfCopies: wooReceipt.num_of_copies,
    width: wooReceipt.width,
    logo: wooReceipt.logo_url,
    showLogo: Boolean(wooReceipt.show_logo),
    enableGiftReceipt: wooReceipt.enable_gift_receipt,
    showSku: Boolean(wooReceipt.show_sku),
    skuLabel: wooReceipt.sku_label,
    showPricesIncludingTax: Boolean(wooReceipt.show_prices_including_tax),
    showTaxDetails: Boolean(wooReceipt.show_tax_details),
    showTaxes: Boolean(wooReceipt.show_taxes),
    showStoreName: Boolean(wooReceipt.show_store_name),
    showVat: Boolean(wooReceipt.show_vat),
    vatLabel: wooReceipt.vat_label,
    showAddress: Boolean(wooReceipt.show_address),
    showContactInfo: Boolean(wooReceipt.show_contact_info),
    showPhone: Boolean(wooReceipt.show_phone),
    showEmail: Boolean(wooReceipt.show_email),
    showFax: Boolean(wooReceipt.show_fax),
    showWebsite: Boolean(wooReceipt.show_website),
    showSocialInfo: Boolean(wooReceipt.show_social_info),
    showFacebook: Boolean(wooReceipt.show_facebook),
    showTwitter: Boolean(wooReceipt.show_twitter),
    showInstagram: Boolean(wooReceipt.show_instagram),
    showYoutube: Boolean(wooReceipt.show_youtube),
    showOrderDate: Boolean(wooReceipt.show_order_date),
    orderDateLabel: wooReceipt.order_date_label,
    showOrderNumber: Boolean(wooReceipt.show_order_number),
    orderNumberLabel: wooReceipt.order_number_label,
    showOrderCustomer: Boolean(wooReceipt.show_order_customer),
    orderCustomerLabel: wooReceipt.order_customer_label,
    showOrderRegister: Boolean(wooReceipt.show_order_register),
    orderRegisterLabel: wooReceipt.order_register_label,
    showCashier: Boolean(wooReceipt.show_cashier),
    cashierLabel: wooReceipt.cashier_label,
    showShipping: Boolean(wooReceipt.show_shipping),
    shippingLabel: wooReceipt.shipping_label,
    showCustomerNote: Boolean(wooReceipt.show_customer_note),
    customerNoteLabel: wooReceipt.customer_note_label,
    receiptFooter: wooReceipt.receipt_footer,
    id: wooReceipt.id
  };
  return receipt;
};
export {
  toReceipt as t
};
