import { t as toStore } from "./store.uaDs3xEUfw2.js";
import { t as toWooParams } from "./params.uaDs3xEUfw.js";
const getList = (httpClient, params) => {
  return httpClient.get("posify/v1/stores", { params: toWooParams(params) }).then((response) => {
    response.data = response.data.map(toStore);
    return response;
  });
};
const getDetail = (httpClient, storeId) => {
  return httpClient.get(`posify/v1/stores/${storeId}`).then((response) => {
    response.data = toStore(response.data);
    return response;
  });
};
const store = (httpClient) => ({
  getList: (params) => getList(httpClient, params),
  getDetail: (storeId) => getDetail(httpClient, storeId)
});
export {
  store as default
};
