import { t as toWooParams } from "./params.uaDs3xEUfw.js";
import { t as toVariation } from "./variation.uaDs3xEUfw2.js";
const getList = (httpClient, productId, params) => {
  return httpClient.get(`wc/v3/products/${productId}/variations`, {
    params: toWooParams(params)
  }).then((response) => {
    response.data = response.data.map(toVariation);
    return response;
  });
};
const variation = (httpClient) => ({
  getList: (productId, params) => getList(httpClient, productId, params)
});
export {
  variation as default
};
