const toVariation = (variation) => {
  return {
    id: variation.id,
    title: variation.posify_title,
    thumbnail: variation.posify_thumbnail,
    price: variation.price,
    regularPrice: variation.regular_price,
    salePrice: variation.sale_price,
    options: variation.posify_options,
    manageStock: variation.manage_stock,
    taxClass: variation.tax_class ? variation.tax_class : "standard",
    taxStatus: variation.tax_status,
    sku: variation.sku,
    stockQuantity: variation.posify_stock_quantity !== void 0 ? variation.posify_stock_quantity : variation.stock_quantity,
    stockStatus: variation.posify_stock_status !== void 0 ? variation.posify_stock_status : variation.stock_status,
    purchasable: variation.posify_purchasable
  };
};
export {
  toVariation as t
};
