<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class AddRegisterCashData
{
    use HasMakeFactory;
    use HasTransformObject;

    public $amount = null;
    public $description = null;

    public function __construct(
        $amount = null,
        $description = null
    ) {
        $this->amount = $amount;
        $this->description = $description;
    }

    public static function factory(array $data = []): self
    {
        $data = array_merge([
            'amount' => 100,
            'description' => 'Initial cash',
        ], $data);

        return static::make($data);
    }
}
