<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class AddStoreEmployeeData
{
    use HasMakeFactory;
    use HasTransformObject;

    public $enabled = true;

    public function __construct(
        $enabled = true
    ) {
        $this->enabled = $enabled;
    }

    public static function factory(array $data = []): self
    {
        $data = array_merge([
            'enabled' => true,
        ], $data);

        return static::make($data);
    }

    public function validate()
    {
        //
    }
}
