<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class IntervalReportQuery
{
    use HasMakeFactory;
    use HasTransformObject;

    public $interval = 'day';
    public $start_time = null;
    public $end_time = null;
    public $store_id = null;
    public $register_id = null;
    public $employee_id = null;

    public function __construct(
        $interval = 'day',
        $start_time = null,
        $end_time = null,
        $store_id = null,
        $register_id = null,
        $employee_id = null
    ) {
        $this->interval = $interval;
        $this->start_time = $start_time;
        $this->end_time = $end_time;
        $this->store_id = $store_id;
        $this->register_id = $register_id;
        $this->employee_id = $employee_id;
    }
}
