<?php

namespace Posify\Core\DataTransferObjects;

use Posify\Core\Utilities\HasEntityQueryParams;
use Posify\Core\Utilities\HasMakeFactory;
use Posify\Core\Utilities\HasTransformObject;

class ReceiptQueryArgs
{
    use HasTransformObject;
    use HasMakeFactory;
    use HasEntityQueryParams;

    public $id = null;
    public $keyword = null;

    public function __construct(
        $id = null,
        $keyword = null
    ) {
        $this->id = $id;
        $this->keyword = $keyword;
    }
}
