<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\Register;

class DeleteRegister
{
    public Register $register;

    public function __construct(
        Register $register
    ) {
        $this->register = $register;
    }

    public function handle(): void
    {
        $this->register->delete();
    }

    public static function make(
        Register $register
    ) {
        return new static(
            $register,
        );
    }
}
