<?php

namespace Posify\Core\UseCases;

use Posify\Core\Entities\Store;

class DeleteStore
{
    public Store $store;

    public function __construct(
        Store $store
    ) {
        $this->store = $store;
    }

    public function handle(): void
    {
        $this->store->delete();
    }

    public static function make(
        Store $store
    ) {
        return new static(
            $store,
        );
    }
}
