<?php

namespace Posify\Core\Utilities;

use Exception;

trait HasFactory
{
    public static function factoryClass(): string
    {
        //
    }

    public static function factory(array $extendData = [])
    {
        $factoryClass = static::factoryClass();

        if (empty($factoryClass)) {
            throw new Exception('Factory class is not defined');
        }

        return $factoryClass::factory($extendData);
    }
}
