<?php

namespace Posify\Core\Validation;

use Illuminate\Filesystem;
use Illuminate\Translation;
use Illuminate\Validation;

class Validator
{
    public static function make(array $data, array $rules, array $messages = [], array $attributes = [])
    {
        $filesystem = new Filesystem\Filesystem();
        $fileLoader = new Translation\FileLoader($filesystem, '');
        $translator = new Translation\Translator($fileLoader, 'en_US');
        $factory = new Validation\Factory($translator);

        return $factory->make($data, $rules, $messages, $attributes);
    }
}
