<?php

namespace Posify\Core\ValueObjects;

class Undefined
{
    public static function make()
    {
        return new static();
    }

    public static function is($value)
    {
        return $value instanceof Undefined;
    }

    public static function isNot($value)
    {
        return ! static::is($value);
    }

    public function __toString()
    {
        return 'undefined';
    }
}
