<?php if (!defined('ABSPATH')) exit; ?>

<div class="wrap">
    <div id="posify-admin-app"></div>
</div>

<script>
    window.posifyConfig = {
        env: 'production',
        adminURL: '<?php echo esc_html(get_admin_url()) ?>',
        upgradeUrl: '<?php echo esc_html($upgradeUrl) ?>',
        posURL: '<?php echo esc_html($posURL) ?>',
        apiURL: '<?php echo esc_html(get_rest_url()) ?>',
        nonce: '<?php echo esc_html(posify_create_nonce()); ?>',
        generalSettings: <?php echo wp_json_encode($generalSettings) ?>,
    }
</script>
