<?php if (!defined('ABSPATH')) exit; ?>

<div id="<?php echo esc_attr($el) ?>"></div>

<?php wp_nonce_field('posify_edit_stock', 'posify_edit_stock'); ?>

<script>
    setTimeout(() => {
        window.createPosifyStockApp("<?php echo esc_attr($el) ?>", {
            "triggerEl": '<?php echo esc_js($triggerEl) ?>',
            "stocks": <?php echo wp_json_encode($stocks->toArray()) ?>,
            "stores": <?php echo wp_json_encode($stores->toArray()) ?>,
            "index": <?php echo $index === '' ? esc_js('null') : esc_js($index) ?>,
        })
    }, 2000);
</script>
