<?php if (!defined('ABSPATH')) exit; ?>

<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>" />
    <link rel="profile" href="https://gmpg.org/xfn/11" />
    <base href="<?php echo esc_attr(posify_plugin_dist_url('/pos/dist')) ?>" />
    <title><?php the_title() ?></title>
    <link rel="icon" href="./favicon.ico" sizes="any">
    <link rel="apple-touch-icon" href="./apple-touch-icon-180x180.png">
    <link rel="manifest" href="./manifest.webmanifest">
    <?php wp_head() ?>
</head>

<body>
    <div id="app"></div>

    <?php wp_footer(); ?>
</body>

</html>

